/**
 * This file is part of Moodle - http://moodle.org/
 *
 * Moodle is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Moodle is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    block_course_statistics
 * @copyright  2023 onwards WIDE Services {@link https://www.wideservices.gr}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */ /*! Buttons for DataTables 1.5.6
 * ©2016-2019 SpryMedia Ltd - datatables.net/license
 */ !function(t){"function"==typeof define&&define.amd?define(["jquery","block_course_statistics/jquery.dataTables-lazy"],function(n){return t(n,window,document)}):"object"==typeof exports?module.exports=function(n,e){return n||(n=window),e&&e.fn.dataTable||(e=require("datatables.net")(n,e).$),t(e,n,n.document)}:t(jQuery,window,document)}(function(t,n,e,o){"use strict";var i,s=t.fn.dataTable,r=0,a=0,c=s.ext.buttons,l=function(n,e){if(!(this instanceof l))return function(t){return new l(t,n).container()};void 0===e&&(e={}),!0===e&&(e={}),t.isArray(e)&&(e={buttons:e}),this.c=t.extend(!0,{},l.defaults,e),e.buttons&&(this.c.buttons=e.buttons),this.s={dt:new s.Api(n),buttons:[],listenKeys:"",namespace:"dtb"+r++},this.dom={container:t("<"+this.c.dom.container.tag+"/>").addClass(this.c.dom.container.className)},this._constructor()};t.extend(l.prototype,{action:function(t,n){var e=this._nodeToButton(t);return n===o?e.conf.action:(e.conf.action=n,this)},active:function(n,e){var i=this._nodeToButton(n),s=this.c.dom.button.active,r=t(i.node);return e===o?r.hasClass(s):(r.toggleClass(s,e===o||e),this)},add:function(t,n){var e=this.s.buttons;if("string"==typeof n){for(var o=n.split("-"),i=this.s,s=0,r=o.length-1;s<r;s++)i=i.buttons[1*o[s]];e=i.buttons,n=1*o[o.length-1]}return this._expandButton(e,t,!1,n),this._draw(),this},container:function(){return this.dom.container},disable:function(n){return t(this._nodeToButton(n).node).addClass(this.c.dom.button.disabled),this},destroy:function(){t("body").off("keyup."+this.s.namespace);var n,e,o=this.s.buttons.slice();for(n=0,e=o.length;n<e;n++)this.remove(o[n].node);this.dom.container.remove();var i=this.s.dt.settings()[0];for(n=0,e=i.length;n<e;n++)if(i.inst===this){i.splice(n,1);break}return this},enable:function(n,e){return!1===e?this.disable(n):(t(this._nodeToButton(n).node).removeClass(this.c.dom.button.disabled),this)},name:function(){return this.c.name},node:function(n){return n?t(this._nodeToButton(n).node):this.dom.container},processing:function(n,e){var i=this._nodeToButton(n);return e===o?t(i.node).hasClass("processing"):(t(i.node).toggleClass("processing",e),this)},remove:function(n){var e=this._nodeToButton(n),o=this._nodeToHost(n),i=this.s.dt;if(e.buttons.length)for(var s=e.buttons.length-1;s>=0;s--)this.remove(e.buttons[s].node);e.conf.destroy&&e.conf.destroy.call(i.button(n),i,t(n),e.conf),this._removeKey(e.conf),t(e.node).remove();var r=t.inArray(e,o);return o.splice(r,1),this},text:function(n,e){var i=this._nodeToButton(n),s=this.c.dom.collection.buttonLiner,r=i.inCollection&&s&&s.tag?s.tag:this.c.dom.buttonLiner.tag,a=this.s.dt,c=t(i.node),l=function(t){return"function"==typeof t?t(a,c,i.conf):t};return e===o?l(i.conf.text):(i.conf.text=e,r?c.children(r).html(l(e)):c.html(l(e)),this)},_constructor:function(){var n=this,o=this.s.dt,i=o.settings()[0],s=this.c.buttons;i._buttons||(i._buttons=[]),i._buttons.push({inst:this,name:this.c.name});for(var r=0,a=s.length;r<a;r++)this.add(s[r]);o.on("destroy",function(t,e){e===i&&n.destroy()}),t("body").on("keyup."+this.s.namespace,function(t){if(!e.activeElement||e.activeElement===e.body){var o=String.fromCharCode(t.keyCode).toLowerCase();-1!==n.s.listenKeys.toLowerCase().indexOf(o)&&n._keypress(o,t)}})},_addKey:function(n){n.key&&(this.s.listenKeys+=t.isPlainObject(n.key)?n.key.key:n.key)},_draw:function(t,n){t||(t=this.dom.container,n=this.s.buttons),t.children().detach();for(var e=0,o=n.length;e<o;e++)t.append(n[e].inserter),t.append(" "),n[e].buttons&&n[e].buttons.length&&this._draw(n[e].collection,n[e].buttons)},_expandButton:function(n,e,i,s){for(var r=this.s.dt,a=0,c=t.isArray(e)?e:[e],l=0,u=c.length;l<u;l++){var d=this._resolveExtends(c[l]);if(d){if(t.isArray(d)){this._expandButton(n,d,i,s);continue}var f=this._buildButton(d,i);if(f){if(s!==o?(n.splice(s,0,f),s++):n.push(f),f.conf.buttons){var h=this.c.dom.collection;f.collection=t("<"+h.tag+"/>").addClass(h.className).attr("role","menu"),f.conf._collection=f.collection,this._expandButton(f.buttons,f.conf.buttons,!0,s)}d.init&&d.init.call(r.button(f.node),r,t(f.node),d),a++}}}},_buildButton:function(n,e){var i,s=this.c.dom.button,r=this.c.dom.buttonLiner,c=this.c.dom.collection,l=this.s.dt,u=function(t){return"function"==typeof t?t(l,b,n):t};if(e&&c.button&&(s=c.button),e&&c.buttonLiner&&(r=c.buttonLiner),n.available&&!n.available(l,n))return!1;var d=function(n,e,o,i){i.action.call(e.button(o),n,e,o,i),t(e.table().node()).triggerHandler("buttons-action.dt",[e.button(o),e,o,i])},f=n.tag||s.tag,h=o===n.clickBlurs||n.clickBlurs,b=t("<"+f+"/>").addClass(s.className).attr("tabindex",this.s.dt.settings()[0].iTabIndex).attr("aria-controls",this.s.dt.table().node().id).on("click.dtb",function(t){t.preventDefault(),!b.hasClass(s.disabled)&&n.action&&d(t,l,b,n),h&&b.blur()}).on("keyup.dtb",function(t){13===t.keyCode&&!b.hasClass(s.disabled)&&n.action&&d(t,l,b,n)});if("a"===f.toLowerCase()&&b.attr("href","#"),"button"===f.toLowerCase()&&b.attr("type","button"),r.tag){var p=t("<"+r.tag+"/>").html(u(n.text)).addClass(r.className);"a"===r.tag.toLowerCase()&&p.attr("href","#"),b.append(p)}else b.html(u(n.text));!1===n.enabled&&b.addClass(s.disabled),n.className&&b.addClass(n.className),n.titleAttr&&b.attr("title",u(n.titleAttr)),n.attr&&b.attr(n.attr),n.namespace||(n.namespace=".dt-button-"+a++);var g=this.c.dom.buttonContainer;return i=g&&g.tag?t("<"+g.tag+"/>").addClass(g.className).append(b):b,this._addKey(n),this.c.buttonCreated&&(i=this.c.buttonCreated(n,i)),{conf:n,node:b.get(0),inserter:i,buttons:[],inCollection:e,collection:null}},_nodeToButton:function(t,n){n||(n=this.s.buttons);for(var e=0,o=n.length;e<o;e++){if(n[e].node===t)return n[e];if(n[e].buttons.length){var i=this._nodeToButton(t,n[e].buttons);if(i)return i}}},_nodeToHost:function(t,n){n||(n=this.s.buttons);for(var e=0,o=n.length;e<o;e++){if(n[e].node===t)return n;if(n[e].buttons.length){var i=this._nodeToHost(t,n[e].buttons);if(i)return i}}},_keypress:function(n,e){if(!e._buttonsHandled){var o=function(o,i){if(o.key){if(o.key===n)e._buttonsHandled=!0,t(i).click();else if(t.isPlainObject(o.key)){if(o.key.key!==n||o.key.shiftKey&&!e.shiftKey||o.key.altKey&&!e.altKey||o.key.ctrlKey&&!e.ctrlKey||o.key.metaKey&&!e.metaKey)return;e._buttonsHandled=!0,t(i).click()}}},i=function(t){for(var n=0,e=t.length;n<e;n++)o(t[n].conf,t[n].node),t[n].buttons.length&&i(t[n].buttons)};i(this.s.buttons)}},_removeKey:function(n){if(n.key){var e=t.isPlainObject(n.key)?n.key.key:n.key,o=this.s.listenKeys.split(""),i=t.inArray(e,o);o.splice(i,1),this.s.listenKeys=o.join("")}},_resolveExtends:function(n){var e,i,s=this.s.dt,r=function(e){for(var i=0;!t.isPlainObject(e)&&!t.isArray(e);){if(e===o)return;if("function"==typeof e){if(!(e=e(s,n)))return!1}else if("string"==typeof e){if(!c[e])throw"Unknown button type: "+e;e=c[e]}if(++i>30)throw"Buttons: Too many iterations"}return t.isArray(e)?e:t.extend({},e)};for(n=r(n);n&&n.extend;){if(!c[n.extend])throw"Cannot extend unknown button type: "+n.extend;var a=r(c[n.extend]);if(t.isArray(a))return a;if(!a)return!1;var l=a.className;n=t.extend({},a,n),l&&n.className!==l&&(n.className=l+" "+n.className);var u=n.postfixButtons;if(u){for(n.buttons||(n.buttons=[]),e=0,i=u.length;e<i;e++)n.buttons.push(u[e]);n.postfixButtons=null}var d=n.prefixButtons;if(d){for(n.buttons||(n.buttons=[]),e=0,i=d.length;e<i;e++)n.buttons.splice(e,0,d[e]);n.prefixButtons=null}n.extend=a.extend}return n}}),l.background=function(n,i,s,r){s===o&&(s=400),r||(r=e.body),n?t("<div/>").addClass(i).css("display","none").insertAfter(r).stop().fadeIn(s):t("div."+i).stop().fadeOut(s,function(){t(this).removeClass(i).remove()})},l.instanceSelector=function(n,e){if(!n)return t.map(e,function(t){return t.inst});var o=[],i=t.map(e,function(t){return t.name}),s=function(n){if(t.isArray(n)){for(var r=0,a=n.length;r<a;r++)s(n[r]);return}if("string"==typeof n){if(-1!==n.indexOf(","))s(n.split(","));else{var c=t.inArray(t.trim(n),i);-1!==c&&o.push(e[c].inst)}}else"number"==typeof n&&o.push(e[n].inst)};return s(n),o},l.buttonSelector=function(n,e){for(var i=[],s=function(t,n,e){for(var i,r,a=0,c=n.length;a<c;a++)(i=n[a])&&(r=e!==o?e+a:a+"",t.push({node:i.node,name:i.conf.name,idx:r}),i.buttons&&s(t,i.buttons,r+"-"))},r=function(n,e){var a,c,l=[];s(l,e.s.buttons);var u=t.map(l,function(t){return t.node});if(t.isArray(n)||n instanceof t){for(a=0,c=n.length;a<c;a++)r(n[a],e);return}if(null===n||n===o||"*"===n)for(a=0,c=l.length;a<c;a++)i.push({inst:e,node:l[a].node});else if("number"==typeof n)i.push({inst:e,node:e.s.buttons[n].node});else if("string"==typeof n){if(-1!==n.indexOf(",")){var d=n.split(",");for(a=0,c=d.length;a<c;a++)r(t.trim(d[a]),e)}else if(n.match(/^\d+(\-\d+)*$/)){var f=t.map(l,function(t){return t.idx});i.push({inst:e,node:l[t.inArray(n,f)].node})}else if(-1!==n.indexOf(":name")){var h=n.replace(":name","");for(a=0,c=l.length;a<c;a++)l[a].name===h&&i.push({inst:e,node:l[a].node})}else t(u).filter(n).each(function(){i.push({inst:e,node:this})})}else if("object"==typeof n&&n.nodeName){var b=t.inArray(n,u);-1!==b&&i.push({inst:e,node:u[b]})}},a=0,c=n.length;a<c;a++)r(e,n[a]);return i},l.defaults={buttons:["copy","excel","csv","pdf","print"],name:"main",tabIndex:0,dom:{container:{tag:"div",className:"dt-buttons"},collection:{tag:"div",className:"dt-button-collection"},button:{tag:"ActiveXObject"in n?"a":"button",className:"dt-button",active:"active",disabled:"disabled"},buttonLiner:{tag:"span",className:""}}},l.version="1.5.6",t.extend(c,{collection:{text:function(t){return t.i18n("buttons.collection","Collection")},className:"buttons-collection",init:function(t,n,e){n.attr("aria-expanded",!1)},action:function(o,i,s,r){var a=function(){i.buttons('[aria-haspopup="true"][aria-expanded="true"]').nodes().each(function(){var n=t(this).siblings(".dt-button-collection");n.length&&n.stop().fadeOut(r.fade,function(){n.detach()}),t(this).attr("aria-expanded","false")}),t("div.dt-button-background").off("click.dtb-collection"),l.background(!1,r.backgroundClassName,r.fade,p),t("body").off(".dtb-collection"),i.off("buttons-action.b-internal")},c="true"===s.attr("aria-expanded");if(a(),!c){var u=s,d=t(s).parents("div.dt-button-collection"),f=u.position(),h=t(i.table().container()),b=!1,p=u;s.attr("aria-expanded","true"),d.length&&(b=t(".dt-button-collection").position(),p=d,t("body").trigger("click.dtb-collection")),p.parents("body")[0]!==e.body&&(p=e.body.lastChild),r._collection.find(".dt-button-collection-title").remove(),r._collection.prepend('<div class="dt-button-collection-title">'+r.collectionTitle+"</div>"),r._collection.addClass(r.collectionLayout).css("display","none").insertAfter(p).stop().fadeIn(r.fade);var g=r._collection.css("position");if(b&&"absolute"===g)r._collection.css({top:b.top,left:b.left});else if("absolute"===g){r._collection.css({top:f.top+u.outerHeight(),left:f.left});var m,v=h.offset().top+h.height(),y=f.top+u.outerHeight()+r._collection.outerHeight(),x=f.top-r._collection.outerHeight();(y-v>h.offset().top-x||r.dropup)&&r._collection.css("top",f.top-r._collection.outerHeight()-5),r._collection.hasClass(r.rightAlignClassName)&&r._collection.css("left",f.left+u.outerWidth()-r._collection.outerWidth());var $=f.left+r._collection.outerWidth(),k=h.offset().left+h.width();$>k&&r._collection.css("left",f.left-($-k));var A=u.offset().left+r._collection.outerWidth();A>t(n).width()&&r._collection.css("left",f.left-(A-t(n).width()))}else{var C=r._collection.height()/2;C>t(n).height()/2&&(C=t(n).height()/2),r._collection.css("marginTop",-1*C)}r.background&&l.background(!0,r.backgroundClassName,r.fade,p),setTimeout(function(){t("div.dt-button-background").on("click.dtb-collection",function(){}),t("body").on("click.dtb-collection",function(n){var e=t.fn.addBack?"addBack":"andSelf";t(n.target).parents()[e]().filter(r._collection).length||a()}).on("keyup.dtb-collection",function(t){27===t.keyCode&&a()}),r.autoClose&&i.on("buttons-action.b-internal",function(){a()})},10)}},background:!0,collectionLayout:"",collectionTitle:"",backgroundClassName:"dt-button-background",rightAlignClassName:"dt-button-right",autoClose:!1,fade:400,attr:{"aria-haspopup":!0}},copy:function(t,n){return c.copyHtml5?"copyHtml5":c.copyFlash&&c.copyFlash.available(t,n)?"copyFlash":void 0},csv:function(t,n){return c.csvHtml5&&c.csvHtml5.available(t,n)?"csvHtml5":c.csvFlash&&c.csvFlash.available(t,n)?"csvFlash":void 0},excel:function(t,n){return c.excelHtml5&&c.excelHtml5.available(t,n)?"excelHtml5":c.excelFlash&&c.excelFlash.available(t,n)?"excelFlash":void 0},pdf:function(t,n){return c.pdfHtml5&&c.pdfHtml5.available(t,n)?"pdfHtml5":c.pdfFlash&&c.pdfFlash.available(t,n)?"pdfFlash":void 0},pageLength:function(n){var e=n.settings()[0].aLengthMenu,o=t.isArray(e[0])?e[0]:e,i=t.isArray(e[0])?e[1]:e;return{extend:"collection",text:function(t){return t.i18n("buttons.pageLength",{"-1":"Show all rows",_:"Show %d rows"},t.page.len())},className:"buttons-page-length",autoClose:!0,buttons:t.map(o,function(t,n){return{text:i[n],className:"button-page-length",action:function(n,e){e.page.len(t).draw()},init:function(n,e,o){var i=this,s=function(){i.active(n.page.len()===t)};n.on("length.dt"+o.namespace,s),s()},destroy:function(t,n,e){t.off("length.dt"+e.namespace)}}}),init:function(t,n,e){var o=this;t.on("length.dt"+e.namespace,function(){o.text(e.text)})},destroy:function(t,n,e){t.off("length.dt"+e.namespace)}}}}),s.Api.register("buttons()",function(t,n){n===o&&(n=t,t=o),this.selector.buttonGroup=t;var e=this.iterator(!0,"table",function(e){if(e._buttons)return l.buttonSelector(l.instanceSelector(t,e._buttons),n)},!0);return e._groupSelector=t,e}),s.Api.register("button()",function(t,n){var e=this.buttons(t,n);return e.length>1&&e.splice(1,e.length),e}),s.Api.registerPlural("buttons().active()","button().active()",function(t){return t===o?this.map(function(t){return t.inst.active(t.node)}):this.each(function(n){n.inst.active(n.node,t)})}),s.Api.registerPlural("buttons().action()","button().action()",function(t){return t===o?this.map(function(t){return t.inst.action(t.node)}):this.each(function(n){n.inst.action(n.node,t)})}),s.Api.register(["buttons().enable()","button().enable()"],function(t){return this.each(function(n){n.inst.enable(n.node,t)})}),s.Api.register(["buttons().disable()","button().disable()"],function(){return this.each(function(t){t.inst.disable(t.node)})}),s.Api.registerPlural("buttons().nodes()","button().node()",function(){var n=t();return t(this.each(function(t){n=n.add(t.inst.node(t.node))})),n}),s.Api.registerPlural("buttons().processing()","button().processing()",function(t){return t===o?this.map(function(t){return t.inst.processing(t.node)}):this.each(function(n){n.inst.processing(n.node,t)})}),s.Api.registerPlural("buttons().text()","button().text()",function(t){return t===o?this.map(function(t){return t.inst.text(t.node)}):this.each(function(n){n.inst.text(n.node,t)})}),s.Api.registerPlural("buttons().trigger()","button().trigger()",function(){return this.each(function(t){t.inst.node(t.node).trigger("click")})}),s.Api.registerPlural("buttons().containers()","buttons().container()",function(){var n=t(),e=this._groupSelector;return this.iterator(!0,"table",function(t){if(t._buttons)for(var o=l.instanceSelector(e,t._buttons),i=0,s=o.length;i<s;i++)n=n.add(o[i].container())}),n}),s.Api.register("button().add()",function(t,n){var e=this.context;if(e.length){var o=l.instanceSelector(this._groupSelector,e[0]._buttons);o.length&&o[0].add(n,t)}return this.button(this._groupSelector,t)}),s.Api.register("buttons().destroy()",function(){return this.pluck("inst").unique().each(function(t){t.destroy()}),this}),s.Api.registerPlural("buttons().remove()","buttons().remove()",function(){return this.each(function(t){t.inst.remove(t.node)}),this}),s.Api.register("buttons.info()",function(n,e,s){var r=this;return!1===n?(t("#datatables_buttons_info").fadeOut(function(){t(this).remove()}),clearTimeout(i),i=null,this):(i&&clearTimeout(i),t("#datatables_buttons_info").length&&t("#datatables_buttons_info").remove(),n=n?"<h2>"+n+"</h2>":"",t('<div id="datatables_buttons_info" class="dt-button-info"/>').html(n).append(t("<div/>")["string"==typeof e?"html":"append"](e)).css("display","none").appendTo("body").fadeIn(),s!==o&&0!==s&&(i=setTimeout(function(){r.buttons.info(!1)},s)),this)}),s.Api.register("buttons.exportData()",function(t){if(this.context.length)return p(new s.Api(this.context[0]),t)}),s.Api.register("buttons.exportInfo()",function(t){return t||(t={}),{filename:u(t),title:f(t),messageTop:h(this,t.message||t.messageTop,"top"),messageBottom:h(this,t.messageBottom,"bottom")}});var u=function(n){var e="*"===n.filename&&"*"!==n.title&&o!==n.title&&null!==n.title&&""!==n.title?n.title:n.filename;if("function"==typeof e&&(e=e()),e===o||null===e)return null;-1!==e.indexOf("*")&&(e=t.trim(e.replace("*",t("head > title").text()))),e=e.replace(/[^a-zA-Z0-9_\u00A1-\uFFFF\.,\-_ !\(\)]/g,"");var i=d(n.extension);return i||(i=""),e+i},d=function(t){return null===t||t===o?null:"function"==typeof t?t():t},f=function(n){var e=d(n.title);return null===e?null:-1!==e.indexOf("*")?e.replace("*",t("head > title").text()||"Exported data"):e},h=function(n,e,o){var i=d(e);if(null===i)return null;var s=t("caption",n.table().container()).eq(0);return"*"===i?s.css("caption-side")!==o?null:s.length?s.text():"":i},b=t("<textarea/>")[0],p=function(n,e){var i=t.extend(!0,{},{rows:null,columns:"",modifier:{search:"applied",order:"applied"},orthogonal:"display",stripHtml:!0,stripNewlines:!0,decodeEntities:!0,trim:!0,format:{header:function(t){return s(t)},footer:function(t){return s(t)},body:function(t){return s(t)}},customizeData:null},e),s=function(t){return"string"!=typeof t||(t=(t=t.replace(/<script\b[^<]*(?:(?!<\/script>)<[^<]*)*<\/script>/gi,"")).replace(/<!\-\-.*?\-\->/g,""),i.stripHtml&&(t=t.replace(/<[^>]*>/g,"")),i.trim&&(t=t.replace(/^\s+|\s+$/g,"")),i.stripNewlines&&(t=t.replace(/\n/g," ")),i.decodeEntities&&(b.innerHTML=t,t=b.value)),t},r=n.columns(i.columns).indexes().map(function(t){var e=n.column(t).header();return i.format.header(e.innerHTML,t,e)}).toArray(),a=n.table().footer()?n.columns(i.columns).indexes().map(function(t){var e=n.column(t).footer();return i.format.footer(e?e.innerHTML:"",t,e)}).toArray():null,c=t.extend({},i.modifier);n.select&&"function"==typeof n.select.info&&o===c.selected&&n.rows(i.rows,t.extend({selected:!0},c)).any()&&t.extend(c,{selected:!0});for(var l=n.rows(i.rows,c).indexes().toArray(),u=n.cells(l,i.columns),d=u.render(i.orthogonal).toArray(),f=u.nodes().toArray(),h=r.length,p=h>0?d.length/h:0,g=[],m=0,v=0,y=p;v<y;v++){for(var x=[h],$=0;$<h;$++)x[$]=i.format.body(d[m],v,$,f[m]),m++;g[v]=x}var k={header:r,footer:a,body:g};return i.customizeData&&i.customizeData(k),k};function g(t){var n=new s.Api(t),e=n.init().buttons||s.defaults.buttons;return new l(n,e).container()}return t.fn.dataTable.Buttons=l,t.fn.DataTable.Buttons=l,t(e).on("init.dt plugin-init.dt",function(t,n){if("dt"===t.namespace){var e=n.oInit.buttons||s.defaults.buttons;e&&!n._buttons&&new l(n,e).container()}}),s.ext.feature.push({fnInit:g,cFeature:"B"}),s.ext.features&&s.ext.features.register("buttons",g),l});