/**
 * This file is part of Moodle - http://moodle.org/
 *
 * Moodle is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Moodle is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    block_course_statistics
 * @copyright  2023 onwards WIDE Services {@link https://www.wideservices.gr}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */ /*! Responsive 2.2.2
 * 2014-2018 SpryMedia Ltd - datatables.net/license
 */ !function(t){"function"==typeof define&&define.amd?define(["jquery","block_course_statistics/jquery.dataTables-lazy"],function(e){return t(e,window,document)}):"object"==typeof exports?module.exports=function(e,n){return e||(e=window),n&&n.fn.dataTable||(n=require("datatables.net")(e,n).$),t(n,e,e.document)}:t(jQuery,window,document)}(function(t,e,n,i){"use strict";var r=t.fn.dataTable,s=function(e,n){if(!r.versionCheck||!r.versionCheck("1.10.10"))throw"DataTables Responsive requires DataTables 1.10.10 or newer";this.s={dt:new r.Api(e),columns:[],current:[]},!this.s.dt.settings()[0].responsive&&(n&&"string"==typeof n.details?n.details={type:n.details}:n&&!1===n.details?n.details={type:!1}:n&&!0===n.details&&(n.details={type:"inline"}),this.c=t.extend(!0,{},s.defaults,r.defaults.responsive,n),e.responsive=this,this._constructor())};t.extend(s.prototype,{_constructor:function(){var n=this,i=this.s.dt,s=i.settings()[0],o=t(e).width();i.settings()[0]._responsive=this,t(e).on("resize.dtr orientationchange.dtr",r.util.throttle(function(){var i=t(e).width();i!==o&&(n._resize(),o=i)})),s.oApi._fnCallbackReg(s,"aoRowCreatedCallback",function(e,r,s){-1!==t.inArray(!1,n.s.current)&&t(">td, >th",e).each(function(e){var r=i.column.index("toData",e);!1===n.s.current[r]&&t(this).css("display","none")})}),i.on("destroy.dtr",function(){i.off(".dtr"),t(i.table().body()).off(".dtr"),t(e).off("resize.dtr orientationchange.dtr"),t.each(n.s.current,function(t,e){!1===e&&n._setColumnVis(t,!0)})}),this.c.breakpoints.sort(function(t,e){return t.width<e.width?1:t.width>e.width?-1:0}),this._classLogic(),this._resizeAuto();var a=this.c.details;!1!==a.type&&(n._detailsInit(),i.on("column-visibility.dtr",function(){n._timer&&clearTimeout(n._timer),n._timer=setTimeout(function(){n._timer=null,n._classLogic(),n._resizeAuto(),n._resize(),n._redrawChildren()},100)}),i.on("draw.dtr",function(){n._redrawChildren()}),t(i.table().node()).addClass("dtr-"+a.type)),i.on("column-reorder.dtr",function(t,e,i){n._classLogic(),n._resizeAuto(),n._resize()}),i.on("column-sizing.dtr",function(){n._resizeAuto(),n._resize()}),i.on("preXhr.dtr",function(){var t=[];i.rows().every(function(){this.child.isShown()&&t.push(this.id(!0))}),i.one("draw.dtr",function(){n._resizeAuto(),n._resize(),i.rows(t).every(function(){n._detailsDisplay(this,!1)})})}),i.on("init.dtr",function(e,r,s){n._resizeAuto(),n._resize(),t.inArray(!1,n.s.current)&&i.columns.adjust()}),this._resize()},_columnsVisiblity:function(e){var n,i,r=this.s.dt,s=this.s.columns,o=s.map(function(t,e){return{columnIdx:e,priority:t.priority}}).sort(function(t,e){return t.priority!==e.priority?t.priority-e.priority:t.columnIdx-e.columnIdx}),a=t.map(s,function(n,i){return!1===r.column(i).visible()?"not-visible":(!n.auto||null!==n.minWidth)&&(!0===n.auto?"-":-1!==t.inArray(e,n.includeIn))}),d=0;for(n=0,i=a.length;n<i;n++)!0===a[n]&&(d+=s[n].minWidth);var l=r.settings()[0].oScroll,c=l.sY||l.sX?l.iBarWidth:0,u=r.table().container().offsetWidth-c-d;for(n=0,i=a.length;n<i;n++)s[n].control&&(u-=s[n].minWidth);var h=!1;for(n=0,i=o.length;n<i;n++){var p=o[n].columnIdx;"-"===a[p]&&!s[p].control&&s[p].minWidth&&(h||u-s[p].minWidth<0?(h=!0,a[p]=!1):a[p]=!0,u-=s[p].minWidth)}var f=!1;for(n=0,i=s.length;n<i;n++)if(!s[n].control&&!s[n].never&&!1===a[n]){f=!0;break}for(n=0,i=s.length;n<i;n++)s[n].control&&(a[n]=f),"not-visible"===a[n]&&(a[n]=!1);return -1===t.inArray(!0,a)&&(a[0]=!0),a},_classLogic:function(){var e=this,n=this.c.breakpoints,r=this.s.dt,s=r.columns().eq(0).map(function(e){var n=this.column(e),s=n.header().className,o=r.settings()[0].aoColumns[e].responsivePriority;if(o===i){var a=t(n.header()).data("priority");o=a!==i?1*a:1e4}return{className:s,includeIn:[],auto:!1,control:!1,never:!!s.match(/\bnever\b/),priority:o}}),o=function(e,n){var i=s[e].includeIn;-1===t.inArray(n,i)&&i.push(n)},a=function(t,i,r,a){var d,l,c;if(r){if("max-"===r)for(l=0,d=e._find(i).width,c=n.length;l<c;l++)n[l].width<=d&&o(t,n[l].name);else if("min-"===r)for(l=0,d=e._find(i).width,c=n.length;l<c;l++)n[l].width>=d&&o(t,n[l].name);else if("not-"===r)for(l=0,c=n.length;l<c;l++)-1===n[l].name.indexOf(a)&&o(t,n[l].name)}else s[t].includeIn.push(i)};s.each(function(e,i){for(var r=e.className.split(" "),s=!1,o=0,d=r.length;o<d;o++){var l=t.trim(r[o]);if("all"===l){s=!0,e.includeIn=t.map(n,function(t){return t.name});return}if("none"===l||e.never){s=!0;return}if("control"===l){s=!0,e.control=!0;return}t.each(n,function(t,e){var n=e.name.split("-"),r=RegExp("(min\\-|max\\-|not\\-)?("+n[0]+")(\\-[_a-zA-Z0-9])?"),o=l.match(r);o&&(s=!0,o[2]===n[0]&&o[3]==="-"+n[1]?a(i,e.name,o[1],o[2]+o[3]):o[2]!==n[0]||o[3]||a(i,e.name,o[1],o[2]))})}s||(e.auto=!0)}),this.s.columns=s},_detailsDisplay:function(e,n){var i=this,r=this.s.dt,s=this.c.details;if(s&&!1!==s.type){var o=s.display(e,n,function(){return s.renderer(r,e[0],i._detailsObj(e[0]))});(!0===o||!1===o)&&t(r.table().node()).triggerHandler("responsive-display.dt",[r,e,o,n])}},_detailsInit:function(){var e=this,n=this.s.dt,i=this.c.details;"inline"===i.type&&(i.target="td:first-child, th:first-child"),n.on("draw.dtr",function(){e._tabIndexes()}),e._tabIndexes(),t(n.table().body()).on("keyup.dtr","td, th",function(e){13===e.keyCode&&t(this).data("dtr-keyboard")&&t(this).click()});var r=i.target;t(n.table().body()).on("click.dtr mousedown.dtr mouseup.dtr","string"==typeof r?r:"td, th",function(i){if(t(n.table().node()).hasClass("collapsed")&&-1!==t.inArray(t(this).closest("tr").get(0),n.rows().nodes().toArray())){if("number"==typeof r){var s=r<0?n.columns().eq(0).length+r:r;if(n.cell(this).index().column!==s)return}var o=n.row(t(this).closest("tr"));"click"===i.type?e._detailsDisplay(o,!1):"mousedown"===i.type?t(this).css("outline","none"):"mouseup"===i.type&&t(this).blur().css("outline","")}})},_detailsObj:function(e){var n=this,i=this.s.dt;return t.map(this.s.columns,function(t,r){if(!t.never&&!t.control)return{title:i.settings()[0].aoColumns[r].sTitle,data:i.cell(e,r).render(n.c.orthogonal),hidden:i.column(r).visible()&&!n.s.current[r],columnIndex:r,rowIndex:e}})},_find:function(t){for(var e=this.c.breakpoints,n=0,i=e.length;n<i;n++)if(e[n].name===t)return e[n]},_redrawChildren:function(){var t=this,e=this.s.dt;e.rows({page:"current"}).iterator("row",function(n,i){e.row(i),t._detailsDisplay(e.row(i),!0)})},_resize:function(){var n,i,r=this,s=this.s.dt,o=t(e).width(),a=this.c.breakpoints,d=a[0].name,l=this.s.columns,c=this.s.current.slice();for(n=a.length-1;n>=0;n--)if(o<=a[n].width){d=a[n].name;break}var u=this._columnsVisiblity(d);this.s.current=u;var h=!1;for(n=0,i=l.length;n<i;n++)if(!1===u[n]&&!l[n].never&&!l[n].control&&!1==!s.column(n).visible()){h=!0;break}t(s.table().node()).toggleClass("collapsed",h);var p=!1,f=0;s.columns().eq(0).each(function(t,e){!0===u[e]&&f++,u[e]!==c[e]&&(p=!0,r._setColumnVis(t,u[e]))}),p&&(this._redrawChildren(),t(s.table().node()).trigger("responsive-resize.dt",[s,this.s.current]),0===s.page.info().recordsDisplay&&t("td",s.table().body()).eq(0).attr("colspan",f))},_resizeAuto:function(){var e=this.s.dt,n=this.s.columns;if(this.c.auto&&-1!==t.inArray(!0,t.map(n,function(t){return t.auto}))){t.isEmptyObject(o)||t.each(o,function(t){var n=t.split("-");a(e,1*n[0],1*n[1])}),e.table().node().offsetWidth,e.columns;var i=e.table().node().cloneNode(!1),r=t(e.table().header().cloneNode(!1)).appendTo(i),s=t(e.table().body()).clone(!1,!1).empty().appendTo(i),d=e.columns().header().filter(function(t){return e.column(t).visible()}).to$().clone(!1).css("display","table-cell").css("min-width",0);t(s).append(t(e.rows({page:"current"}).nodes()).clone(!1)).find("th, td").css("display","");var l=e.table().footer();if(l){var c=t(l.cloneNode(!1)).appendTo(i),u=e.columns().footer().filter(function(t){return e.column(t).visible()}).to$().clone(!1).css("display","table-cell");t("<tr/>").append(u).appendTo(c)}t("<tr/>").append(d).appendTo(r),"inline"===this.c.details.type&&t(i).addClass("dtr-inline collapsed"),t(i).find("[name]").removeAttr("name"),t(i).css("position","relative");var h=t("<div/>").css({width:1,height:1,overflow:"hidden",clear:"both"}).append(i);h.insertBefore(e.table().node()),d.each(function(t){n[e.column.index("fromVisible",t)].minWidth=this.offsetWidth||0}),h.remove()}},_setColumnVis:function(e,n){var i=this.s.dt,r=n?"":"none";t(i.column(e).header()).css("display",r),t(i.column(e).footer()).css("display",r),i.column(e).nodes().to$().css("display",r),t.isEmptyObject(o)||i.cells(null,e).indexes().each(function(t){a(i,t.row,t.column)})},_tabIndexes:function(){var e=this.s.dt,n=e.cells({page:"current"}).nodes().to$(),i=e.settings()[0],r=this.c.details.target;n.filter("[data-dtr-keyboard]").removeData("[data-dtr-keyboard]"),"number"==typeof r?e.cells(null,r,{page:"current"}).nodes().to$().attr("tabIndex",i.iTabIndex).data("dtr-keyboard",1):("td:first-child, th:first-child"===r&&(r=">td:first-child, >th:first-child"),t(r,e.rows({page:"current"}).nodes()).attr("tabIndex",i.iTabIndex).data("dtr-keyboard",1))}}),s.breakpoints=[{name:"desktop",width:1/0},{name:"tablet-l",width:1024},{name:"tablet-p",width:768},{name:"mobile-l",width:480},{name:"mobile-p",width:320}],s.display={childRow:function(e,n,i){return n?t(e.node()).hasClass("parent")?(e.child(i(),"child").show(),!0):void 0:e.child.isShown()?(e.child(!1),t(e.node()).removeClass("parent"),!1):(e.child(i(),"child").show(),t(e.node()).addClass("parent"),!0)},childRowImmediate:function(e,n,i){return!n&&e.child.isShown()||!e.responsive.hasHidden()?(e.child(!1),t(e.node()).removeClass("parent"),!1):(e.child(i(),"child").show(),t(e.node()).addClass("parent"),!0)},modal:function(e){return function(i,r,s){if(r)t("div.dtr-modal-content").empty().append(s());else{var o=function(){a.remove(),t(n).off("keypress.dtr")},a=t('<div class="dtr-modal"/>').append(t('<div class="dtr-modal-display"/>').append(t('<div class="dtr-modal-content"/>').append(s())).append(t('<div class="dtr-modal-close">&times;</div>').click(function(){o()}))).append(t('<div class="dtr-modal-background"/>').click(function(){o()})).appendTo("body");t(n).on("keyup.dtr",function(t){27===t.keyCode&&(t.stopPropagation(),o())})}e&&e.header&&t("div.dtr-modal-content").prepend("<h2>"+e.header(i)+"</h2>")}}};var o={};function a(t,e,n){var r=e+"-"+n;if(o[r]){for(var s=t.cell(e,n).node(),a=o[r][0].parentNode.childNodes,d=[],l=0,c=a.length;l<c;l++)d.push(a[l]);for(var u=0,h=d.length;u<h;u++)s.appendChild(d[u]);o[r]=i}}s.renderer={listHiddenNodes:function(){return function(e,n,i){var r=t('<ul data-dtr-index="'+n+'" class="dtr-details"/>'),s=!1;return t.each(i,function(n,i){i.hidden&&(t('<li data-dtr-index="'+i.columnIndex+'" data-dt-row="'+i.rowIndex+'" data-dt-column="'+i.columnIndex+'"><span class="dtr-title">'+i.title+"</span> </li>").append(t('<span class="dtr-data"/>').append(function t(e,n,i){var r=n+"-"+i;if(o[r])return o[r];for(var s=[],a=e.cell(n,i).node().childNodes,d=0,l=a.length;d<l;d++)s.push(a[d]);return o[r]=s,s}(e,i.rowIndex,i.columnIndex))).appendTo(r),s=!0)}),!!s&&r}},listHidden:function(){return function(e,n,i){var r=t.map(i,function(t){return t.hidden?'<li data-dtr-index="'+t.columnIndex+'" data-dt-row="'+t.rowIndex+'" data-dt-column="'+t.columnIndex+'"><span class="dtr-title">'+t.title+'</span> <span class="dtr-data">'+t.data+"</span></li>":""}).join("");return!!r&&t('<ul data-dtr-index="'+n+'" class="dtr-details"/>').append(r)}},tableAll:function(e){return e=t.extend({tableClass:""},e),function(n,i,r){var s=t.map(r,function(t){return'<tr data-dt-row="'+t.rowIndex+'" data-dt-column="'+t.columnIndex+'"><td>'+t.title+":</td> <td>"+t.data+"</td></tr>"}).join("");return t('<table class="'+e.tableClass+' dtr-details" width="100%"/>').append(s)}}},s.defaults={breakpoints:s.breakpoints,auto:!0,details:{display:s.display.childRow,renderer:s.renderer.listHidden(),target:0,type:"inline"},orthogonal:"display"};var d=t.fn.dataTable.Api;return d.register("responsive()",function(){return this}),d.register("responsive.index()",function(e){return{column:(e=t(e)).data("dtr-index"),row:e.parent().data("dtr-index")}}),d.register("responsive.rebuild()",function(){return this.iterator("table",function(t){t._responsive&&t._responsive._classLogic()})}),d.register("responsive.recalc()",function(){return this.iterator("table",function(t){t._responsive&&(t._responsive._resizeAuto(),t._responsive._resize())})}),d.register("responsive.hasHidden()",function(){var e=this.context[0];return!!e._responsive&&-1!==t.inArray(!1,e._responsive.s.current)}),d.registerPlural("columns().responsiveHidden()","column().responsiveHidden()",function(){return this.iterator("column",function(t,e){return!!t._responsive&&t._responsive.s.current[e]},1)}),s.version="2.2.2",t.fn.dataTable.Responsive=s,t.fn.DataTable.Responsive=s,t(n).on("preInit.dt.dtr",function(e,n,i){if("dt"===e.namespace&&(t(n.nTable).hasClass("responsive")||t(n.nTable).hasClass("dt-responsive")||n.oInit.responsive||r.defaults.responsive)){var o=n.oInit.responsive;!1!==o&&new s(n,t.isPlainObject(o)?o:{})}}),s});