/**
 * This file is part of Moodle - http://moodle.org/
 *
 * Moodle is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Moodle is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    block_course_statistics
 * @copyright  2023 onwards WIDE Services {@link https://www.wideservices.gr}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */ /*! DataTables 1.10.13
 * ©2008-2016 SpryMedia Ltd - datatables.net/license
 */ !function(t){"use strict";"function"==typeof define&&define.amd?define(["jquery"],function(e){return t(e,window,document)}):"object"==typeof exports?module.exports=function(e,n){return e||(e=window),n||(n="undefined"!=typeof window?require("jquery"):require("jquery")(e)),t(n,e,e.document)}:t(jQuery,window,document)}(function(t,e,n,a){"use strict";var r,o,i,l,s=function(e){this.$=function(t,e){return this.api(!0).$(t,e)},this._=function(t,e){return this.api(!0).rows(t,e).data()},this.api=function(t){return new o(t?tK(this[r.iApiIndex]):this)},this.fnAddData=function(e,n){var r=this.api(!0),o=t.isArray(e)&&(t.isArray(e[0])||t.isPlainObject(e[0]))?r.rows.add(e):r.row.add(e);return(n===a||n)&&r.draw(),o.flatten().toArray()},this.fnAdjustColumnSizing=function(t){var e=this.api(!0).columns.adjust(),n=e.settings()[0],r=n.oScroll;t===a||t?e.draw(!1):(""!==r.sX||""!==r.sY)&&tM(n)},this.fnClearTable=function(t){var e=this.api(!0).clear();(t===a||t)&&e.draw()},this.fnClose=function(t){this.api(!0).row(t).child.hide()},this.fnDeleteRow=function(t,e,n){var r=this.api(!0),o=r.rows(t),i=o.settings()[0],l=i.aoData[o[0][0]];return o.remove(),e&&e.call(this,i,l),(n===a||n)&&r.draw(),l},this.fnDestroy=function(t){this.api(!0).destroy(t)},this.fnDraw=function(t){this.api(!0).draw(t)},this.fnFilter=function(t,e,n,r,o,i){var l=this.api(!0);null===e||e===a?l.search(t,n,r,i):l.column(e).search(t,n,r,i),l.draw()},this.fnGetData=function(t,e){var n=this.api(!0);if(t!==a){var r=t.nodeName?t.nodeName.toLowerCase():"";return e!==a||"td"==r||"th"==r?n.cell(t,e).data():n.row(t).data()||null}return n.data().toArray()},this.fnGetNodes=function(t){var e=this.api(!0);return t!==a?e.row(t).node():e.rows().nodes().flatten().toArray()},this.fnGetPosition=function(t){var e=this.api(!0),n=t.nodeName.toUpperCase();if("TR"==n)return e.row(t).index();if("TD"==n||"TH"==n){var a=e.cell(t).index();return[a.row,a.columnVisible,a.column]}return null},this.fnIsOpen=function(t){return this.api(!0).row(t).child.isShown()},this.fnOpen=function(t,e,n){return this.api(!0).row(t).child(e,n).show().child()[0]},this.fnPageChange=function(t,e){var n=this.api(!0).page(t);(e===a||e)&&n.draw(!1)},this.fnSetColumnVis=function(t,e,n){var r=this.api(!0).column(t).visible(e);(n===a||n)&&r.columns.adjust().draw()},this.fnSettings=function(){return tK(this[r.iApiIndex])},this.fnSort=function(t){this.api(!0).order(t).draw()},this.fnSortListener=function(t,e,n){this.api(!0).order.listener(t,e,n)},this.fnUpdate=function(t,e,n,r,o){var i=this.api(!0);return n===a||null===n?i.row(e).data(t):i.cell(e,n).data(t),(o===a||o)&&i.columns.adjust(),(r===a||r)&&i.draw(),0},this.fnVersionCheck=r.fnVersionCheck;var n=this,i=e===a,l=this.length;for(var u in i&&(e={}),this.oApi=this.internal=r.internal,s.ext.internal)u&&(this[u]=eH(u));return this.each(function(){var r,o,u={},c=l>1?t6(u,e,!0):e,f=0,d=this.getAttribute("id"),h=!1,p=s.defaults,g=t(this);if("table"!=this.nodeName.toLowerCase()){t4(null,0,"Non-table node initialisation ("+this.nodeName+")",2);return}L(p),P(p.column),I(p,p,!0),I(p.column,p.column,!0),I(p,t.extend(c,g.data()));var b=s.settings;for(f=0,o=b.length;f<o;f++){var v=b[f];if(v.nTable==this||v.nTHead.parentNode==this||v.nTFoot&&v.nTFoot.parentNode==this){var $=a!==c.bRetrieve?c.bRetrieve:p.bRetrieve,S=a!==c.bDestroy?c.bDestroy:p.bDestroy;if(i||$)return v.oInstance;if(S){v.oInstance.fnDestroy();break}t4(v,0,"Cannot reinitialise DataTable",3);return}if(v.sTableId==this.id){b.splice(f,1);break}}(null===d||""===d)&&(d="DataTables_Table_"+s.ext._unique++,this.id=d);var m=t.extend(!0,{},s.models.oSettings,{sDestroyWidth:g[0].style.width,sInstance:d,sTableId:d});m.nTable=this,m.oApi=n.internal,m.oInit=c,b.push(m),m.oInstance=1===n.length?n:g.dataTable(),L(c),c.oLanguage&&A(c.oLanguage),c.aLengthMenu&&!c.iDisplayLength&&(c.iDisplayLength=t.isArray(c.aLengthMenu[0])?c.aLengthMenu[0][0]:c.aLengthMenu[0]),c=t6(t.extend(!0,{},p),c),t7(m.oFeatures,c,["bPaginate","bLengthChange","bFilter","bSort","bSortMulti","bInfo","bProcessing","bAutoWidth","bSortClasses","bServerSide","bDeferRender"]),t7(m,c,["asStripeClasses","ajax","fnServerData","fnFormatNumber","sServerMethod","aaSorting","aaSortingFixed","aLengthMenu","sPaginationType","sAjaxSource","sAjaxDataProp","iStateDuration","sDom","bSortCellsTop","iTabIndex","fnStateLoadCallback","fnStateSaveCallback","renderer","searchDelay","rowId",["iCookieDuration","iStateDuration"],["oSearch","oPreviousSearch"],["aoSearchCols","aoPreSearchCols"],["iDisplayLength","_iDisplayLength"],["bJQueryUI","bJUI"]]),t7(m.oScroll,c,[["sScrollX","sX"],["sScrollXInner","sXInner"],["sScrollY","sY"],["bScrollCollapse","bCollapse"]]),t7(m.oLanguage,c,"fnInfoCallback"),ee(m,"aoDrawCallback",c.fnDrawCallback,"user"),ee(m,"aoServerParams",c.fnServerParams,"user"),ee(m,"aoStateSaveParams",c.fnStateSaveParams,"user"),ee(m,"aoStateLoadParams",c.fnStateLoadParams,"user"),ee(m,"aoStateLoaded",c.fnStateLoaded,"user"),ee(m,"aoRowCallback",c.fnRowCallback,"user"),ee(m,"aoRowCreatedCallback",c.fnCreatedRow,"user"),ee(m,"aoHeaderCallback",c.fnHeaderCallback,"user"),ee(m,"aoFooterCallback",c.fnFooterCallback,"user"),ee(m,"aoInitComplete",c.fnInitComplete,"user"),ee(m,"aoPreDrawCallback",c.fnPreDrawCallback,"user"),m.rowIdFn=Z(c.rowId),R(m);var D=m.oClasses;if(c.bJQueryUI?(t.extend(D,s.ext.oJUIClasses,c.oClasses),c.sDom===p.sDom&&"lfrtip"===p.sDom&&(m.sDom='<"H"lfr>t<"F"ip>'),m.renderer?t.isPlainObject(m.renderer)&&!m.renderer.header&&(m.renderer.header="jqueryui"):m.renderer="jqueryui"):t.extend(D,s.ext.classes,c.oClasses),g.addClass(D.sTable),a===m.iInitDisplayStart&&(m.iInitDisplayStart=c.iDisplayStart,m._iDisplayStart=c.iDisplayStart),null!==c.iDeferLoading){m.bDeferLoading=!0;var y=t.isArray(c.iDeferLoading);m._iRecordsDisplay=y?c.iDeferLoading[0]:c.iDeferLoading,m._iRecordsTotal=y?c.iDeferLoading[1]:c.iDeferLoading}var C=m.oLanguage;t.extend(!0,C,c.oLanguage),C.sUrl&&(t.ajax({dataType:"json",url:C.sUrl,success:function(e){A(e),I(p.oLanguage,e),t.extend(!0,C,e),tP(m)},error:function(){tP(m)}}),h=!0),null===c.asStripeClasses&&(m.asStripeClasses=[D.sStripeOdd,D.sStripeEven]);var T=m.asStripeClasses,w=g.children("tbody").find("tr").eq(0);-1!==t.inArray(!0,t.map(T,function(t,e){return w.hasClass(t)}))&&(t("tbody tr",this).removeClass(T.join(" ")),m.asDestroyStripes=T.slice());var x=[],_=this.getElementsByTagName("thead");if(0!==_.length&&(tf(m.aoHeader,_[0]),x=td(m)),null===c.aoColumns)for(f=0,r=[],o=x.length;f<o;f++)r.push(null);else r=c.aoColumns;for(f=0,o=r.length;f<o;f++)H(m,x?x[f]:null);if(E(m,c.aoColumnDefs,r,function(t,e){N(m,t,e)}),w.length){var F=function(t,e){return null!==t.getAttribute("data-"+e)?e:null};t(w[0]).children("th, td").each(function(t,e){var n=m.aoColumns[t];if(n.mData===t){var r=F(e,"sort")||F(e,"order"),o=F(e,"filter")||F(e,"search");(null!==r||null!==o)&&(n.mData={_:t+".display",sort:null!==r?t+".@data-"+r:a,type:null!==r?t+".@data-"+r:a,filter:null!==o?t+".@data-"+o:a},N(m,t))}})}var j=m.oFeatures,O=function(){if(a===c.aaSorting){var e=m.aaSorting;for(f=0,o=e.length;f<o;f++)e[f][1]=m.aoColumns[f].asSorting[0]}t2(m),j.bSort&&ee(m,"aoDrawCallback",function(){if(m.bSorted){var e=t9(m),n={};t.each(e,function(t,e){n[e.src]=e.dir}),en(m,null,"order",[m,e,n]),tY(m)}}),ee(m,"aoDrawCallback",function(){(m.bSorted||"ssp"===eo(m)||j.bDeferRender)&&t2(m)},"sc");var n=g.children("caption").each(function(){this._captionSide=t(this).css("caption-side")}),r=g.children("thead");0===r.length&&(r=t("<thead/>").appendTo(g)),m.nTHead=r[0];var i=g.children("tbody");0===i.length&&(i=t("<tbody/>").appendTo(g)),m.nTBody=i[0];var l=g.children("tfoot");if(0===l.length&&n.length>0&&(""!==m.oScroll.sX||""!==m.oScroll.sY)&&(l=t("<tfoot/>").appendTo(g)),0===l.length||0===l.children().length?g.addClass(D.sNoFooter):l.length>0&&(m.nTFoot=l[0],tf(m.aoFooter,m.nTFoot)),c.aaData)for(f=0;f<c.aaData.length;f++)J(m,c.aaData[f]);else(m.bDeferLoading||"dom"==eo(m))&&V(m,t(m.nTBody).children("tr"));m.aiDisplay=m.aiDisplayMaster.slice(),m.bInitialised=!0,!1===h&&tP(m)};c.bStateSave?(j.bStateSave=!0,ee(m,"aoDrawCallback",t3,"state_save"),t5(m,c,O)):O()}),n=null,this},u={},c=/[\r\n]/g,f=/<.*?>/g,d=/^\d{2,4}[\.\/\-]\d{1,2}[\.\/\-]\d{1,2}([T ]{1}\d{1,2}[:\.]\d{2}([\.:]\d{2})?)?$/,h=RegExp("(\\/|\\.|\\*|\\+|\\?|\\||\\(|\\)|\\[|\\]|\\{|\\}|\\\\|\\$|\\^|\\-)","g"),p=/[',$£€¥%\u2009\u202F\u20BD\u20a9\u20BArfk]/gi,g=function(t){return!t||!0===t||"-"===t},b=function(t){var e=parseInt(t,10);return!isNaN(e)&&isFinite(t)?e:null},v=function(t,e){return u[e]||(u[e]=RegExp(tC(e),"g")),"string"==typeof t&&"."!==e?t.replace(/\./g,"").replace(u[e],"."):t},$=function(t,e,n){var a="string"==typeof t;return!!g(t)||(e&&a&&(t=v(t,e)),n&&a&&(t=t.replace(p,"")),!isNaN(parseFloat(t))&&isFinite(t))},S=function(t){return g(t)||"string"==typeof t},m=function(t,e,n){return!!g(t)||S(t)&&!!$(w(t),e,n)||null},D=function(t,e,n){var r=[],o=0,i=t.length;if(n!==a)for(;o<i;o++)t[o]&&t[o][e]&&r.push(t[o][e][n]);else for(;o<i;o++)t[o]&&r.push(t[o][e]);return r},y=function(t,e,n,r){var o=[],i=0,l=e.length;if(r!==a)for(;i<l;i++)t[e[i]][n]&&o.push(t[e[i]][n][r]);else for(;i<l;i++)o.push(t[e[i]][n]);return o},C=function(t,e){var n,r=[];e===a?(e=0,n=t):(n=e,e=t);for(var o=e;o<n;o++)r.push(o);return r},T=function(t){for(var e=[],n=0,a=t.length;n<a;n++)t[n]&&e.push(t[n]);return e},w=function(t){return t.replace(f,"")},x=function(t){var e,n,a,r=[],o=t.length,i=0;again:for(n=0;n<o;n++){for(a=0,e=t[n];a<i;a++)if(r[a]===e)continue again;r.push(e),i++}return r};function _(e){var n,a,r={};t.each(e,function(t,o){(n=t.match(/^([^A-Z]+?)([A-Z])/))&&-1!=="a aa ai ao as b fn i m o s ".indexOf(n[1]+" ")&&(r[a=t.replace(n[0],n[2].toLowerCase())]=t,"o"===n[1]&&_(e[t]))}),e._hungarianMap=r}function I(e,n,r){var o;e._hungarianMap||_(e),t.each(n,function(i,l){a!==(o=e._hungarianMap[i])&&(r||a===n[o])&&("o"===o.charAt(0)?(n[o]||(n[o]={}),t.extend(!0,n[o],n[i]),I(e[o],n[o],r)):n[o]=n[i])})}function A(t){var e=s.defaults.oLanguage,n=t.sZeroRecords;!t.sEmptyTable&&n&&"No data available in table"===e.sEmptyTable&&t7(t,t,"sZeroRecords","sEmptyTable"),!t.sLoadingRecords&&n&&"Loading..."===e.sLoadingRecords&&t7(t,t,"sZeroRecords","sLoadingRecords"),t.sInfoThousands&&(t.sThousands=t.sInfoThousands);var a=t.sDecimal;a&&eR(a)}s.util={throttle:function(t,e){var n,r,o=e!==a?e:200;return function(){var e=this,i=+new Date,l=arguments;n&&i<n+o?(clearTimeout(r),r=setTimeout(function(){n=a,t.apply(e,l)},o)):(n=i,t.apply(e,l))}},escapeRegex:function(t){return t.replace(h,"\\$1")}};var F=function(t,e,n){a!==t[e]&&(t[n]=t[e])};function L(t){F(t,"ordering","bSort"),F(t,"orderMulti","bSortMulti"),F(t,"orderClasses","bSortClasses"),F(t,"orderCellsTop","bSortCellsTop"),F(t,"order","aaSorting"),F(t,"orderFixed","aaSortingFixed"),F(t,"paging","bPaginate"),F(t,"pagingType","sPaginationType"),F(t,"pageLength","iDisplayLength"),F(t,"searching","bFilter"),"boolean"==typeof t.sScrollX&&(t.sScrollX=t.sScrollX?"100%":""),"boolean"==typeof t.scrollX&&(t.scrollX=t.scrollX?"100%":"");var e=t.aoSearchCols;if(e)for(var n=0,a=e.length;n<a;n++)e[n]&&I(s.models.oSearch,e[n])}function P(e){F(e,"orderable","bSortable"),F(e,"orderData","aDataSort"),F(e,"orderSequence","asSorting"),F(e,"orderDataType","sortDataType");var n=e.aDataSort;n&&!t.isArray(n)&&(e.aDataSort=[n])}function R(n){if(!s.__browser){var a={};s.__browser=a;var r=t("<div/>").css({position:"fixed",top:0,left:-1*t(e).scrollLeft(),height:1,width:1,overflow:"hidden"}).append(t("<div/>").css({position:"absolute",top:1,left:1,width:100,overflow:"scroll"}).append(t("<div/>").css({width:"100%",height:10}))).appendTo("body"),o=r.children(),i=o.children();a.barWidth=o[0].offsetWidth-o[0].clientWidth,a.bScrollOversize=100===i[0].offsetWidth&&100!==o[0].clientWidth,a.bScrollbarLeft=1!==Math.round(i.offset().left),a.bBounding=!!r[0].getBoundingClientRect().width,r.remove()}t.extend(n.oBrowser,s.__browser),n.oScroll.iBarWidth=s.__browser.barWidth}function j(t,e,n,r,o,i){var l,s=r,u=!1;for(n!==a&&(l=n,u=!0);s!==o;)t.hasOwnProperty(s)&&(l=u?e(l,t[s],s,t):t[s],u=!0,s+=i);return l}function H(e,a){var r=s.defaults.column,o=e.aoColumns.length,i=t.extend({},s.models.oColumn,r,{nTh:a||n.createElement("th"),sTitle:r.sTitle?r.sTitle:a?a.innerHTML:"",aDataSort:r.aDataSort?r.aDataSort:[o],mData:r.mData?r.mData:o,idx:o});e.aoColumns.push(i);var l=e.aoPreSearchCols;l[o]=t.extend({},s.models.oSearch,l[o]),N(e,o,t(a).data())}function N(e,n,r){var o=e.aoColumns[n],i=e.oClasses,l=t(o.nTh);if(!o.sWidthOrig){o.sWidthOrig=l.attr("width")||null;var u=(l.attr("style")||"").match(/width:\s*(\d+[pxem%]+)/);u&&(o.sWidthOrig=u[1])}r!==a&&null!==r&&(P(r),I(s.defaults.column,r),a===r.mDataProp||r.mData||(r.mData=r.mDataProp),r.sType&&(o._sManualType=r.sType),r.className&&!r.sClass&&(r.sClass=r.className),t.extend(o,r),t7(o,r,"sWidth","sWidthOrig"),a!==r.iDataSort&&(o.aDataSort=[r.iDataSort]),t7(o,r,"aDataSort"));var c=o.mData,f=Z(c),d=o.mRender?Z(o.mRender):null,h=function(t){return"string"==typeof t&&-1!==t.indexOf("@")};o._bAttrSrc=t.isPlainObject(c)&&(h(c.sort)||h(c.type)||h(c.filter)),o._setter=null,o.fnGetData=function(t,e,n){var r=f(t,e,a,n);return d&&e?d(r,e,t,n):r},o.fnSetData=function(t,e,n){return Q(c)(t,e,n)},"number"!=typeof c&&(e._rowReadObject=!0),e.oFeatures.bSort||(o.bSortable=!1,l.addClass(i.sSortableNone));var p=-1!==t.inArray("asc",o.asSorting),g=-1!==t.inArray("desc",o.asSorting);o.bSortable&&(p||g)?p&&!g?(o.sSortingClass=i.sSortableAsc,o.sSortingClassJUI=i.sSortJUIAscAllowed):!p&&g?(o.sSortingClass=i.sSortableDesc,o.sSortingClassJUI=i.sSortJUIDescAllowed):(o.sSortingClass=i.sSortable,o.sSortingClassJUI=i.sSortJUI):(o.sSortingClass=i.sSortableNone,o.sSortingClassJUI="")}function O(t){if(!1!==t.oFeatures.bAutoWidth){var e=t.aoColumns;tJ(t);for(var n=0,a=e.length;n<a;n++)e[n].nTh.style.width=e[n].sWidth}var r=t.oScroll;(""!==r.sY||""!==r.sX)&&tM(t),en(t,null,"column-sizing",[t])}function k(t,e){var n=M(t,"bVisible");return"number"==typeof n[e]?n[e]:null}function W(e,n){var a=M(e,"bVisible"),r=t.inArray(n,a);return -1!==r?r:null}function U(e){var n=0;return t.each(e.aoColumns,function(e,a){a.bVisible&&"none"!==t(a.nTh).css("display")&&n++}),n}function M(e,n){var a=[];return t.map(e.aoColumns,function(t,e){t[n]&&a.push(e)}),a}function B(t){var e,n,r,o,i,l,u,c,f,d=t.aoColumns,h=t.aoData,p=s.ext.type.detect;for(e=0,n=d.length;e<n;e++)if(u=d[e],f=[],!u.sType&&u._sManualType)u.sType=u._sManualType;else if(!u.sType){for(r=0,o=p.length;r<o;r++){for(i=0,l=h.length;i<l&&(a===f[i]&&(f[i]=X(t,i,e,"type")),((c=p[r](f[i],t))||r===p.length-1)&&"html"!==c);i++);if(c){u.sType=c;break}}u.sType||(u.sType="string")}}function E(e,n,r,o){var i,l,s,u,c,f,d,h=e.aoColumns;if(n)for(i=n.length-1;i>=0;i--){var p=a!==(d=n[i]).targets?d.targets:d.aTargets;for(t.isArray(p)||(p=[p]),s=0,u=p.length;s<u;s++)if("number"==typeof p[s]&&p[s]>=0){for(;h.length<=p[s];)H(e);o(p[s],d)}else if("number"==typeof p[s]&&p[s]<0)o(h.length+p[s],d);else if("string"==typeof p[s])for(c=0,f=h.length;c<f;c++)("_all"==p[s]||t(h[c].nTh).hasClass(p[s]))&&o(c,d)}if(r)for(i=0,l=r.length;i<l;i++)o(i,r[i])}function J(e,n,r,o){var i=e.aoData.length,l=t.extend(!0,{},s.models.oRow,{src:r?"dom":"data",idx:i});l._aData=n,e.aoData.push(l);for(var u=e.aoColumns,c=0,f=u.length;c<f;c++)u[c].sType=null;e.aiDisplayMaster.push(i);var d=e.rowIdFn(n);return d!==a&&(e.aIds[d]=l),(r||!e.oFeatures.bDeferRender)&&tr(e,i,r,o),i}function V(e,n){var a;return n instanceof t||(n=t(n)),n.map(function(t,n){return a=ta(e,n),J(e,a.data,n,a.cells)})}function X(t,e,n,r){var o=t.iDraw,i=t.aoColumns[n],l=t.aoData[e]._aData,s=i.sDefaultContent,u=i.fnGetData(l,r,{settings:t,row:e,col:n});if(u===a)return t.iDrawError!=o&&null===s&&(t4(t,0,"Requested unknown parameter "+("function"==typeof i.mData?"{function}":"'"+i.mData+"'")+" for row "+e+", column "+n,4),t.iDrawError=o),s;if((u===l||null===u)&&null!==s&&r!==a)u=s;else if("function"==typeof u)return u.call(l);return null===u&&"display"==r?"":u}function q(t,e,n,a){var r=t.aoColumns[n],o=t.aoData[e]._aData;r.fnSetData(o,a,{settings:t,row:e,col:n})}var G=/\[.*?\]$/,z=/\(\)$/;function Y(e){return t.map(e.match(/(\\.|[^\.])+/g)||[""],function(t){return t.replace(/\\\./g,".")})}function Z(e){if(t.isPlainObject(e)){var n={};return t.each(e,function(t,e){e&&(n[t]=Z(e))}),function(t,e,r,o){var i=n[e]||n._;return i!==a?i(t,e,r,o):t}}if(null===e)return function(t){return t};if("function"==typeof e)return function(t,n,a,r){return e(t,n,a,r)};if("string"!=typeof e||-1===e.indexOf(".")&&-1===e.indexOf("[")&&-1===e.indexOf("("))return function(t,n){return t[e]};var r=function(e,n,o){var i,l,s,u;if(""!==o)for(var c=Y(o),f=0,d=c.length;f<d;f++){if(i=c[f].match(G),l=c[f].match(z),i){if(c[f]=c[f].replace(G,""),""!==c[f]&&(e=e[c[f]]),s=[],c.splice(0,f+1),u=c.join("."),t.isArray(e))for(var h=0,p=e.length;h<p;h++)s.push(r(e[h],n,u));var g=i[0].substring(1,i[0].length-1);e=""===g?s:s.join(g);break}if(l){c[f]=c[f].replace(z,""),e=e[c[f]]();continue}if(null===e||a===e[c[f]])return;e=e[c[f]]}return e};return function(t,n){return r(t,n,e)}}function Q(e){if(t.isPlainObject(e))return Q(e._);if(null===e)return function(){};if("function"==typeof e)return function(t,n,a){e(t,"set",n,a)};if("string"!=typeof e||-1===e.indexOf(".")&&-1===e.indexOf("[")&&-1===e.indexOf("("))return function(t,n){t[e]=n};var n=function(e,r,o){for(var i,l,s,u,c,f=Y(o),d=f[f.length-1],h=0,p=f.length-1;h<p;h++){if(i=f[h].match(G),l=f[h].match(z),i){if(f[h]=f[h].replace(G,""),e[f[h]]=[],(c=f.slice()).splice(0,h+1),u=c.join("."),t.isArray(r))for(var g=0,b=r.length;g<b;g++)n(s={},r[g],u),e[f[h]].push(s);else e[f[h]]=r;return}l&&(f[h]=f[h].replace(z,""),e=e[f[h]](r)),(null===e[f[h]]||a===e[f[h]])&&(e[f[h]]={}),e=e[f[h]]}d.match(z)?e=e[d.replace(z,"")](r):e[d.replace(G,"")]=r};return function(t,a){return n(t,a,e)}}function K(t){return D(t.aoData,"_aData")}function tt(t){t.aoData.length=0,t.aiDisplayMaster.length=0,t.aiDisplay.length=0,t.aIds={}}function te(t,e,n){for(var r=-1,o=0,i=t.length;o<i;o++)t[o]==e?r=o:t[o]>e&&t[o]--;-1!=r&&n===a&&t.splice(r,1)}function tn(t,e,n,r){var o,i,l=t.aoData[e],s=function(n,a){for(;n.childNodes.length;)n.removeChild(n.firstChild);n.innerHTML=X(t,e,a,"display")};if("dom"!==n&&(n&&"auto"!==n||"dom"!==l.src)){var u=l.anCells;if(u){if(r!==a)s(u[r],r);else for(o=0,i=u.length;o<i;o++)s(u[o],o)}}else l._aData=ta(t,l,r,r===a?a:l._aData).data;l._aSortData=null,l._aFilterData=null;var c=t.aoColumns;if(r!==a)c[r].sType=null;else{for(o=0,i=c.length;o<i;o++)c[o].sType=null;to(t,l)}}function ta(e,n,r,o){var i,l,s,u=[],c=n.firstChild,f=0,d=e.aoColumns,h=e._rowReadObject;o=o!==a?o:h?{}:[];var p=function(t,e){if("string"==typeof t){var n=t.indexOf("@");if(-1!==n){var a=t.substring(n+1);Q(t)(o,e.getAttribute(a))}}},g=function(e){(r===a||r===f)&&((l=d[f],s=t.trim(e.innerHTML),l&&l._bAttrSrc)?(Q(l.mData._)(o,s),p(l.mData.sort,e),p(l.mData.type,e),p(l.mData.filter,e)):h?(l._setter||(l._setter=Q(l.mData)),l._setter(o,s)):o[f]=s),f++};if(c)for(;c;)("TD"==(i=c.nodeName.toUpperCase())||"TH"==i)&&(g(c),u.push(c)),c=c.nextSibling;else{u=n.anCells;for(var b=0,v=u.length;b<v;b++)g(u[b])}var $=n.firstChild?n:n.nTr;if($){var S=$.getAttribute("id");S&&Q(e.rowId)(o,S)}return{data:o,cells:u}}function tr(e,a,r,o){var i,l,s,u,c,f=e.aoData[a],d=f._aData,h=[];if(null===f.nTr){for(i=r||n.createElement("tr"),f.nTr=i,f.anCells=h,i._DT_RowIndex=a,to(e,f),u=0,c=e.aoColumns.length;u<c;u++)s=e.aoColumns[u],(l=r?o[u]:n.createElement(s.sCellType))._DT_CellIndex={row:a,column:u},h.push(l),r&&!s.mRender&&s.mData===u||t.isPlainObject(s.mData)&&s.mData._===u+".display"||(l.innerHTML=X(e,a,u,"display")),s.sClass&&(l.className+=" "+s.sClass),s.bVisible&&!r?i.appendChild(l):!s.bVisible&&r&&l.parentNode.removeChild(l),s.fnCreatedCell&&s.fnCreatedCell.call(e.oInstance,l,X(e,a,u),d,a,u);en(e,"aoRowCreatedCallback",null,[i,d,a])}f.nTr.setAttribute("role","row")}function to(e,n){var a=n.nTr,r=n._aData;if(a){var o=e.rowIdFn(r);if(o&&(a.id=o),r.DT_RowClass){var i=r.DT_RowClass.split(" ");n.__rowc=n.__rowc?x(n.__rowc.concat(i)):i,t(a).removeClass(n.__rowc.join(" ")).addClass(r.DT_RowClass)}r.DT_RowAttr&&t(a).attr(r.DT_RowAttr),r.DT_RowData&&t(a).data(r.DT_RowData)}}function ti(e){var n,a,r,o,i,l=e.nTHead,s=e.nTFoot,u=0===t("th, td",l).length,c=e.oClasses,f=e.aoColumns;for(u&&(o=t("<tr/>").appendTo(l)),n=0,a=f.length;n<a;n++)r=t((i=f[n]).nTh).addClass(i.sClass),u&&r.appendTo(o),e.oFeatures.bSort&&(r.addClass(i.sSortingClass),!1!==i.bSortable&&(r.attr("tabindex",e.iTabIndex).attr("aria-controls",e.sTableId),tZ(e,i.nTh,n))),i.sTitle!=r[0].innerHTML&&r.html(i.sTitle),er(e,"header")(e,r,i,c);if(u&&tf(e.aoHeader,l),t(l).find(">tr").attr("role","row"),t(l).find(">tr>th, >tr>td").addClass(c.sHeaderTH),t(s).find(">tr>th, >tr>td").addClass(c.sFooterTH),null!==s){var d=e.aoFooter[0];for(n=0,a=d.length;n<a;n++)(i=f[n]).nTf=d[n].cell,i.sClass&&t(i.nTf).addClass(i.sClass)}}function tl(e,n,r){var o,i,l,s,u,c,f,d,h,p=[],g=[],b=e.aoColumns.length;if(n){for(r===a&&(r=!1),o=0,i=n.length;o<i;o++){for(p[o]=n[o].slice(),p[o].nTr=n[o].nTr,l=b-1;l>=0;l--)e.aoColumns[l].bVisible||r||p[o].splice(l,1);g.push([])}for(o=0,i=p.length;o<i;o++){if(f=p[o].nTr)for(;c=f.firstChild;)f.removeChild(c);for(l=0,s=p[o].length;l<s;l++)if(d=1,h=1,a===g[o][l]){for(f.appendChild(p[o][l].cell),g[o][l]=1;a!==p[o+d]&&p[o][l].cell==p[o+d][l].cell;)g[o+d][l]=1,d++;for(;a!==p[o][l+h]&&p[o][l].cell==p[o][l+h].cell;){for(u=0;u<d;u++)g[o+u][l+h]=1;h++}t(p[o][l].cell).attr("rowspan",d).attr("colspan",h)}}}}function ts(e){var n=en(e,"aoPreDrawCallback","preDraw",[e]);if(-1!==t.inArray(!1,n)){tW(e,!1);return}var r=[],o=0,i=e.asStripeClasses,l=i.length;e.aoOpenRows.length;var s=e.oLanguage,u=e.iInitDisplayStart,c="ssp"==eo(e),f=e.aiDisplay;e.bDrawing=!0,u!==a&&-1!==u&&(e._iDisplayStart=c?u:u>=e.fnRecordsDisplay()?0:u,e.iInitDisplayStart=-1);var d=e._iDisplayStart,h=e.fnDisplayEnd();if(e.bDeferLoading)e.bDeferLoading=!1,e.iDraw++,tW(e,!1);else if(c){if(!e.bDestroying&&!tp(e))return}else e.iDraw++;if(0!==f.length)for(var p=c?0:d,g=c?e.aoData.length:h,b=p;b<g;b++){var v=f[b],$=e.aoData[v];null===$.nTr&&tr(e,v);var S=$.nTr;if(0!==l){var m=i[o%l];$._sRowStripe!=m&&(t(S).removeClass($._sRowStripe).addClass(m),$._sRowStripe=m)}en(e,"aoRowCallback",null,[S,$._aData,o,b]),r.push(S),o++}else{var D=s.sZeroRecords;1==e.iDraw&&"ajax"==eo(e)?D=s.sLoadingRecords:s.sEmptyTable&&0===e.fnRecordsTotal()&&(D=s.sEmptyTable),r[0]=t("<tr/>",{class:l?i[0]:""}).append(t("<td />",{valign:"top",colSpan:U(e),class:e.oClasses.sRowEmpty}).html(D))[0]}en(e,"aoHeaderCallback","header",[t(e.nTHead).children("tr")[0],K(e),d,h,f]),en(e,"aoFooterCallback","footer",[t(e.nTFoot).children("tr")[0],K(e),d,h,f]);var y=t(e.nTBody);y.children().detach(),y.append(t(r)),en(e,"aoDrawCallback","draw",[e]),e.bSorted=!1,e.bFiltered=!1,e.bDrawing=!1}function tu(t,e){var n=t.oFeatures,a=n.bSort,r=n.bFilter;a&&tz(t),r?tS(t,t.oPreviousSearch):t.aiDisplay=t.aiDisplayMaster.slice(),!0!==e&&(t._iDisplayStart=0),t._drawHold=e,ts(t),t._drawHold=!1}function tc(e){var n,a,r,o,i,l,u=e.oClasses,c=t(e.nTable),f=t("<div/>").insertBefore(c),d=e.oFeatures,h=t("<div/>",{id:e.sTableId+"_wrapper",class:u.sWrapper+(e.nTFoot?"":" "+u.sNoFooter)});e.nHolding=f[0],e.nTableWrapper=h[0],e.nTableReinsertBefore=e.nTable.nextSibling;for(var p=e.sDom.split(""),g=0;g<p.length;g++){if(n=null,"<"==(a=p[g])){if(r=t("<div/>")[0],"'"==(o=p[g+1])||'"'==o){for(i="",l=2;p[g+l]!=o;)i+=p[g+l],l++;if("H"==i?i=u.sJUIHeader:"F"==i&&(i=u.sJUIFooter),-1!=i.indexOf(".")){var b=i.split(".");r.id=b[0].substr(1,b[0].length-1),r.className=b[1]}else"#"==i.charAt(0)?r.id=i.substr(1,i.length-1):r.className=i;g+=l}h.append(r),h=t(r)}else if(">"==a)h=h.parent();else if("l"==a&&d.bPaginate&&d.bLengthChange)n=tH(e);else if("f"==a&&d.bFilter)n=t$(e);else if("r"==a&&d.bProcessing)n=tk(e);else if("t"==a)n=tU(e);else if("i"==a&&d.bInfo)n=tA(e);else if("p"==a&&d.bPaginate)n=tN(e);else if(0!==s.ext.feature.length){for(var v=s.ext.feature,$=0,S=v.length;$<S;$++)if(a==v[$].cFeature){n=v[$].fnInit(e);break}}if(n){var m=e.aanFeatures;m[a]||(m[a]=[]),m[a].push(n),h.append(n)}}f.replaceWith(h),e.nHolding=null}function tf(e,n){var a,r,o,i,l,s,u,c,f,d,h,p=t(n).children("tr");for(e.splice(0,e.length),o=0,s=p.length;o<s;o++)e.push([]);for(o=0,s=p.length;o<s;o++)for(a=p[o],c=0,r=a.firstChild;r;){if("TD"==r.nodeName.toUpperCase()||"TH"==r.nodeName.toUpperCase())for(l=0,f=1*r.getAttribute("colspan"),d=1*r.getAttribute("rowspan"),f=f&&0!==f&&1!==f?f:1,d=d&&0!==d&&1!==d?d:1,u=function(t,e,n){for(var a=t[e];a[n];)n++;return n}(e,o,c),h=1===f;l<f;l++)for(i=0;i<d;i++)e[o+i][u+l]={cell:r,unique:h},e[o+i].nTr=a;r=r.nextSibling}}function td(t,e,n){var a=[];!n&&(n=t.aoHeader,e&&tf(n=[],e));for(var r=0,o=n.length;r<o;r++)for(var i=0,l=n[r].length;i<l;i++)!n[r][i].unique||a[i]&&t.bSortCellsTop||(a[i]=n[r][i].cell);return a}function th(e,n,a){if(en(e,"aoServerParams","serverParams",[n]),n&&t.isArray(n)){var r,o={},i=/(.*?)\[\]$/;t.each(n,function(t,e){var n=e.name.match(i);if(n){var a=n[0];o[a]||(o[a]=[]),o[a].push(e.value)}else o[e.name]=e.value}),n=o}var l=e.ajax,s=e.oInstance,u=function(t){en(e,null,"xhr",[e,t,e.jqXHR]),a(t)};if(t.isPlainObject(l)&&l.data){r=l.data;var c=t.isFunction(r)?r(n,e):r;n=t.isFunction(r)&&c?c:t.extend(!0,n,c),delete l.data}var f={data:n,success:function(t){var n=t.error||t.sError;n&&t4(e,0,n),e.json=t,u(t)},dataType:"json",cache:!1,type:e.sServerMethod,error:function(n,a,r){var o=en(e,null,"xhr",[e,null,e.jqXHR]);-1===t.inArray(!0,o)&&("parsererror"==a?t4(e,0,"Invalid JSON response",1):4===n.readyState&&t4(e,0,"Ajax error",7)),tW(e,!1)}};e.oAjaxData=n,en(e,null,"preXhr",[e,n]),e.fnServerData?e.fnServerData.call(s,e.sAjaxSource,t.map(n,function(t,e){return{name:e,value:t}}),u,e):e.sAjaxSource||"string"==typeof l?e.jqXHR=t.ajax(t.extend(f,{url:l||e.sAjaxSource})):t.isFunction(l)?e.jqXHR=l.call(s,n,u,e):(e.jqXHR=t.ajax(t.extend(f,l)),l.data=r)}function tp(t){return!t.bAjaxDataGet||(t.iDraw++,tW(t,!0),th(t,tg(t),function(e){tb(t,e)}),!1)}function tg(e){var n,a,r,o,i=e.aoColumns,l=i.length,u=e.oFeatures,c=e.oPreviousSearch,f=e.aoPreSearchCols,d=[],h=t9(e),p=e._iDisplayStart,g=!1!==u.bPaginate?e._iDisplayLength:-1,b=function(t,e){d.push({name:t,value:e})};b("sEcho",e.iDraw),b("iColumns",l),b("sColumns",D(i,"sName").join(",")),b("iDisplayStart",p),b("iDisplayLength",g);var v={draw:e.iDraw,columns:[],order:[],start:p,length:g,search:{value:c.sSearch,regex:c.bRegex}};for(n=0;n<l;n++)r=i[n],o=f[n],a="function"==typeof r.mData?"function":r.mData,v.columns.push({data:a,name:r.sName,searchable:r.bSearchable,orderable:r.bSortable,search:{value:o.sSearch,regex:o.bRegex}}),b("mDataProp_"+n,a),u.bFilter&&(b("sSearch_"+n,o.sSearch),b("bRegex_"+n,o.bRegex),b("bSearchable_"+n,r.bSearchable)),u.bSort&&b("bSortable_"+n,r.bSortable);u.bFilter&&(b("sSearch",c.sSearch),b("bRegex",c.bRegex)),u.bSort&&(t.each(h,function(t,e){v.order.push({column:e.col,dir:e.dir}),b("iSortCol_"+t,e.col),b("sSortDir_"+t,e.dir)}),b("iSortingCols",h.length));var $=s.ext.legacy.ajax;return null===$?e.sAjaxSource?d:v:$?d:v}function tb(t,e){var n=function(t,n){return a!==e[t]?e[t]:e[n]},r=tv(t,e),o=n("sEcho","draw"),i=n("iTotalRecords","recordsTotal"),l=n("iTotalDisplayRecords","recordsFiltered");if(o){if(1*o<t.iDraw)return;t.iDraw=1*o}tt(t),t._iRecordsTotal=parseInt(i,10),t._iRecordsDisplay=parseInt(l,10);for(var s=0,u=r.length;s<u;s++)J(t,r[s]);t.aiDisplay=t.aiDisplayMaster.slice(),t.bAjaxDataGet=!1,ts(t),t._bInitComplete||tR(t,e),t.bAjaxDataGet=!0,tW(t,!1)}function tv(e,n){var r=t.isPlainObject(e.ajax)&&a!==e.ajax.dataSrc?e.ajax.dataSrc:e.sAjaxDataProp;return"data"===r?n.aaData||n[r]:""!==r?Z(r)(n):n}function t$(e){var a=e.oClasses,r=e.sTableId,o=e.oLanguage,i=e.oPreviousSearch,l=e.aanFeatures,s='<input type="search" class="'+a.sFilterInput+'"/>',u=o.sSearch;u=u.match(/_INPUT_/)?u.replace("_INPUT_",s):u+s;var c=t("<div/>",{id:l.f?null:r+"_filter",class:a.sFilter}).append(t("<label/>").append(u)),f=function(){l.f;var t=this.value?this.value:"";t!=i.sSearch&&(tS(e,{sSearch:t,bRegex:i.bRegex,bSmart:i.bSmart,bCaseInsensitive:i.bCaseInsensitive}),e._iDisplayStart=0,ts(e))},d=null!==e.searchDelay?e.searchDelay:"ssp"===eo(e)?400:0,h=t("input",c).val(i.sSearch).attr("placeholder",o.sSearchPlaceholder).on("keyup.DT search.DT input.DT paste.DT cut.DT",d?tV(f,d):f).on("keypress.DT",function(t){if(13==t.keyCode)return!1}).attr("aria-controls",r);return t(e.nTable).on("search.dt.DT",function(t,a){if(e===a)try{h[0]!==n.activeElement&&h.val(i.sSearch)}catch(r){}}),c[0]}function tS(t,e,n){var r=t.oPreviousSearch,o=t.aoPreSearchCols,i=function(t){r.sSearch=t.sSearch,r.bRegex=t.bRegex,r.bSmart=t.bSmart,r.bCaseInsensitive=t.bCaseInsensitive},l=function(t){return a!==t.bEscapeRegex?!t.bEscapeRegex:t.bRegex};if(B(t),"ssp"!=eo(t)){ty(t,e.sSearch,n,l(e),e.bSmart,e.bCaseInsensitive),i(e);for(var s=0;s<o.length;s++)tD(t,o[s].sSearch,s,l(o[s]),o[s].bSmart,o[s].bCaseInsensitive);tm(t)}else i(e);t.bFiltered=!0,en(t,null,"search",[t])}function tm(e){for(var n,a,r=s.ext.search,o=e.aiDisplay,i=0,l=r.length;i<l;i++){for(var u=[],c=0,f=o.length;c<f;c++)a=o[c],n=e.aoData[a],r[i](e,n._aFilterData,a,n._aData,c)&&u.push(a);o.length=0,t.merge(o,u)}}function tD(t,e,n,a,r,o){if(""!==e){for(var i,l=[],s=t.aiDisplay,u=t8(e,a,r,o),c=0;c<s.length;c++)i=t.aoData[s[c]]._aFilterData[n],u.test(i)&&l.push(s[c]);t.aiDisplay=l}}function ty(t,e,n,a,r,o){var i,l,u,c=t8(e,a,r,o),f=t.oPreviousSearch.sSearch,d=t.aiDisplayMaster,h=[];if(0!==s.ext.search.length&&(n=!0),l=tx(t),e.length<=0)t.aiDisplay=d.slice();else{for((l||n||f.length>e.length||0!==e.indexOf(f)||t.bSorted)&&(t.aiDisplay=d.slice()),i=t.aiDisplay,u=0;u<i.length;u++)c.test(t.aoData[i[u]]._sFilterRow)&&h.push(i[u]);t.aiDisplay=h}}function t8(e,n,a,r){return e=n?e:tC(e),a&&(e="^(?=.*?"+t.map(e.match(/"[^"]+"|[^ ]+/g)||[""],function(t){if('"'===t.charAt(0)){var e=t.match(/^"(.*)"$/);t=e?e[1]:t}return t.replace('"',"")}).join(")(?=.*?")+").*$"),RegExp(e,r?"i":"")}var tC=s.util.escapeRegex,tT=t("<div>")[0],tw=a!==tT.textContent;function tx(t){var e,n,a,r,o,i,l,u,c=t.aoColumns,f=s.ext.type.search,d=!1;for(n=0,r=t.aoData.length;n<r;n++)if(!(u=t.aoData[n])._aFilterData){for(a=0,i=[],o=c.length;a<o;a++)(e=c[a]).bSearchable?(l=X(t,n,a,"filter"),f[e.sType]&&(l=f[e.sType](l)),null===l&&(l=""),"string"!=typeof l&&l.toString&&(l=l.toString())):l="",l.indexOf&&-1!==l.indexOf("&")&&(tT.innerHTML=l,l=tw?tT.textContent:tT.innerText),l.replace&&(l=l.replace(/[\r\n]/g,"")),i.push(l);u._aFilterData=i,u._sFilterRow=i.join("  "),d=!0}return d}function t_(t){return{search:t.sSearch,smart:t.bSmart,regex:t.bRegex,caseInsensitive:t.bCaseInsensitive}}function tI(t){return{sSearch:t.search,bSmart:t.smart,bRegex:t.regex,bCaseInsensitive:t.caseInsensitive}}function tA(e){var n=e.sTableId,a=e.aanFeatures.i,r=t("<div/>",{class:e.oClasses.sInfo,id:a?null:n+"_info"});return a||(e.aoDrawCallback.push({fn:tF,sName:"information"}),r.attr("role","status").attr("aria-live","polite"),t(e.nTable).attr("aria-describedby",n+"_info")),r[0]}function tF(e){var n=e.aanFeatures.i;if(0!==n.length){var a=e.oLanguage,r=e._iDisplayStart+1,o=e.fnDisplayEnd(),i=e.fnRecordsTotal(),l=e.fnRecordsDisplay(),s=l?a.sInfo:a.sInfoEmpty;l!==i&&(s+=" "+a.sInfoFiltered),s+=a.sInfoPostFix,s=tL(e,s);var u=a.fnInfoCallback;null!==u&&(s=u.call(e.oInstance,e,r,o,i,l,s)),t(n).html(s)}}function tL(t,e){var n=t.fnFormatNumber,a=t._iDisplayStart+1,r=t._iDisplayLength,o=t.fnRecordsDisplay(),i=-1===r;return e.replace(/_START_/g,n.call(t,a)).replace(/_END_/g,n.call(t,t.fnDisplayEnd())).replace(/_MAX_/g,n.call(t,t.fnRecordsTotal())).replace(/_TOTAL_/g,n.call(t,o)).replace(/_PAGE_/g,n.call(t,i?1:Math.ceil(a/r))).replace(/_PAGES_/g,n.call(t,i?1:Math.ceil(o/r)))}function tP(t){var e,n,a,r=t.iInitDisplayStart,o=t.aoColumns,i=t.oFeatures,l=t.bDeferLoading;if(!t.bInitialised){setTimeout(function(){tP(t)},200);return}for(tc(t),ti(t),tl(t,t.aoHeader),tl(t,t.aoFooter),tW(t,!0),i.bAutoWidth&&tJ(t),e=0,n=o.length;e<n;e++)(a=o[e]).sWidth&&(a.nTh.style.width=tG(a.sWidth));en(t,null,"preInit",[t]),tu(t);var s=eo(t);("ssp"!=s||l)&&("ajax"==s?th(t,[],function(n){var a=tv(t,n);for(e=0;e<a.length;e++)J(t,a[e]);t.iInitDisplayStart=r,tu(t),tW(t,!1),tR(t,n)},t):(tW(t,!1),tR(t)))}function tR(t,e){t._bInitComplete=!0,(e||t.oInit.aaData)&&O(t),en(t,null,"plugin-init",[t,e]),en(t,"aoInitComplete","init",[t,e])}function tj(t,e){var n=parseInt(e,10);t._iDisplayLength=n,ea(t),en(t,null,"length",[t,n])}function tH(e){for(var n=e.oClasses,a=e.sTableId,r=e.aLengthMenu,o=t.isArray(r[0]),i=o?r[0]:r,l=o?r[1]:r,s=t("<select/>",{name:a+"_length","aria-controls":a,class:n.sLengthSelect}),u=0,c=i.length;u<c;u++)s[0][u]=new Option(l[u],i[u]);var f=t("<div><label/></div>").addClass(n.sLength);return e.aanFeatures.l||(f[0].id=a+"_length"),f.children().append(e.oLanguage.sLengthMenu.replace("_MENU_",s[0].outerHTML)),t("select",f).val(e._iDisplayLength).on("change.DT",function(n){tj(e,t(this).val()),ts(e)}),t(e.nTable).on("length.dt.DT",function(n,a,r){e===a&&t("select",f).val(r)}),f[0]}function tN(e){var n=e.sPaginationType,a=s.ext.pager[n],r="function"==typeof a,o=function(t){ts(t)},i=t("<div/>").addClass(e.oClasses.sPaging+n)[0],l=e.aanFeatures;return r||a.fnInit(e,i,o),l.p||(i.id=e.sTableId+"_paginate",e.aoDrawCallback.push({fn:function(t){if(r){var e,n,i=t._iDisplayStart,s=t._iDisplayLength,u=t.fnRecordsDisplay(),c=-1===s,f=c?0:Math.ceil(i/s),d=c?1:Math.ceil(u/s),h=a(f,d);for(e=0,n=l.p.length;e<n;e++)er(t,"pageButton")(t,l.p[e],e,h,f,d)}else a.fnUpdate(t,o)},sName:"pagination"})),i}function tO(t,e,n){var a=t._iDisplayStart,r=t._iDisplayLength,o=t.fnRecordsDisplay();0===o||-1===r?a=0:"number"==typeof e?(a=e*r)>o&&(a=0):"first"==e?a=0:"previous"==e?(a=r>=0?a-r:0)<0&&(a=0):"next"==e?a+r<o&&(a+=r):"last"==e?a=Math.floor((o-1)/r)*r:t4(t,0,"Unknown paging action: "+e,5);var i=t._iDisplayStart!==a;return t._iDisplayStart=a,i&&(en(t,null,"page",[t]),n&&ts(t)),i}function tk(e){return t("<div/>",{id:e.aanFeatures.r?null:e.sTableId+"_processing",class:e.oClasses.sProcessing}).html(e.oLanguage.sProcessing).insertBefore(e.nTable)[0]}function tW(e,n){e.oFeatures.bProcessing&&t(e.aanFeatures.r).css("display",n?"block":"none"),en(e,null,"processing",[e,n])}function tU(e){var n=t(e.nTable);n.attr("role","grid");var a=e.oScroll;if(""===a.sX&&""===a.sY)return e.nTable;var r=a.sX,o=a.sY,i=e.oClasses,l=n.children("caption"),s=l.length?l[0]._captionSide:null,u=t(n[0].cloneNode(!1)),c=t(n[0].cloneNode(!1)),f=n.children("tfoot"),d="<div/>",h=function(t){return t?tG(t):null};f.length||(f=null);var p=t(d,{class:i.sScrollWrapper}).append(t(d,{class:i.sScrollHead}).css({overflow:"hidden",position:"relative",border:0,width:r?h(r):"100%"}).append(t(d,{class:i.sScrollHeadInner}).css({"box-sizing":"content-box",width:a.sXInner||"100%"}).append(u.removeAttr("id").css("margin-left",0).append("top"===s?l:null).append(n.children("thead"))))).append(t(d,{class:i.sScrollBody}).css({position:"relative",overflow:"auto",width:h(r)}).append(n));f&&p.append(t(d,{class:i.sScrollFoot}).css({overflow:"hidden",border:0,width:r?h(r):"100%"}).append(t(d,{class:i.sScrollFootInner}).append(c.removeAttr("id").css("margin-left",0).append("bottom"===s?l:null).append(n.children("tfoot")))));var g=p.children(),b=g[0],v=g[1],$=f?g[2]:null;return r&&t(v).on("scroll.DT",function(t){var e=this.scrollLeft;b.scrollLeft=e,f&&($.scrollLeft=e)}),t(v).css(o&&a.bCollapse?"max-height":"height",o),e.nScrollHead=b,e.nScrollBody=v,e.nScrollFoot=$,e.aoDrawCallback.push({fn:tM,sName:"scrolling"}),p[0]}function tM(e){var n,r,o,i,l,s,u,c,f,d=e.oScroll,h=d.sX,p=d.sXInner,g=d.sY,b=d.iBarWidth,v=t(e.nScrollHead),$=v[0].style,S=v.children("div"),m=S[0].style,y=S.children("table"),C=e.nScrollBody,T=t(C),w=C.style,x=t(e.nScrollFoot).children("div"),_=x.children("table"),I=t(e.nTHead),A=t(e.nTable),F=A[0],L=F.style,P=e.nTFoot?t(e.nTFoot):null,R=e.oBrowser,j=R.bScrollOversize,H=D(e.aoColumns,"nTh"),N=[],W=[],U=[],M=[],B=function(t){var e=t.style;e.paddingTop="0",e.paddingBottom="0",e.borderTopWidth="0",e.borderBottomWidth="0",e.height=0},E=C.scrollHeight>C.clientHeight;if(e.scrollBarVis!==E&&a!==e.scrollBarVis){e.scrollBarVis=E,O(e);return}e.scrollBarVis=E,A.children("thead, tfoot").remove(),P&&(s=P.clone().prependTo(A),r=P.find("tr"),i=s.find("tr")),l=I.clone().prependTo(A),n=I.find("tr"),o=l.find("tr"),l.find("th, td").removeAttr("tabindex"),h||(w.width="100%",v[0].style.width="100%"),t.each(td(e,l),function(t,n){u=k(e,t),n.style.width=e.aoColumns[u].sWidth}),P&&tB(function(t){t.style.width=""},i),f=A.outerWidth(),""===h?(L.width="100%",j&&(A.find("tbody").height()>C.offsetHeight||"scroll"==T.css("overflow-y"))&&(L.width=tG(A.outerWidth()-b)),f=A.outerWidth()):""!==p&&(L.width=tG(p),f=A.outerWidth()),tB(B,o),tB(function(e){U.push(e.innerHTML),N.push(tG(t(e).css("width")))},o),tB(function(e,n){-1!==t.inArray(e,H)&&(e.style.width=N[n])},n),t(o).height(0),P&&(tB(B,i),tB(function(e){M.push(e.innerHTML),W.push(tG(t(e).css("width")))},i),tB(function(t,e){t.style.width=W[e]},r),t(i).height(0)),tB(function(t,e){t.innerHTML='<div class="dataTables_sizing" style="height:0;overflow:hidden;">'+U[e]+"</div>",t.style.width=N[e]},o),P&&tB(function(t,e){t.innerHTML='<div class="dataTables_sizing" style="height:0;overflow:hidden;">'+M[e]+"</div>",t.style.width=W[e]},i),A.outerWidth()<f?(c=C.scrollHeight>C.offsetHeight||"scroll"==T.css("overflow-y")?f+b:f,j&&(C.scrollHeight>C.offsetHeight||"scroll"==T.css("overflow-y"))&&(L.width=tG(c-b)),(""===h||""!==p)&&t4(e,1,"Possible column misalignment",6)):c="100%",w.width=tG(c),$.width=tG(c),P&&(e.nScrollFoot.style.width=tG(c)),!g&&j&&(w.height=tG(F.offsetHeight+b));var J=A.outerWidth();y[0].style.width=tG(J),m.width=tG(J);var V=A.height()>C.clientHeight||"scroll"==T.css("overflow-y"),X="padding"+(R.bScrollbarLeft?"Left":"Right");m[X]=V?b+"px":"0px",P&&(_[0].style.width=tG(J),x[0].style.width=tG(J),x[0].style[X]=V?b+"px":"0px"),A.children("colgroup").insertBefore(A.children("thead")),T.scroll(),(e.bSorted||e.bFiltered)&&!e._drawHold&&(C.scrollTop=0)}function tB(t,e,n){for(var a,r,o=0,i=0,l=e.length;i<l;){for(a=e[i].firstChild,r=n?n[i].firstChild:null;a;)1===a.nodeType&&(n?t(a,r,o):t(a,o),o++),a=a.nextSibling,r=n?r.nextSibling:null;i++}}var tE=/<.*?>/g;function tJ(n){var a,r,o,i=n.nTable,l=n.aoColumns,s=n.oScroll,u=s.sY,c=s.sX,f=s.sXInner,d=l.length,h=M(n,"bVisible"),p=t("th",n.nTHead),g=i.getAttribute("width"),b=i.parentNode,v=!1,$=n.oBrowser,S=$.bScrollOversize,m=i.style.width;for(m&&-1!==m.indexOf("%")&&(g=m),a=0;a<h.length;a++)null!==(r=l[h[a]]).sWidth&&(r.sWidth=tX(r.sWidthOrig,b),v=!0);if(!S&&(v||c||u||d!=U(n)||d!=p.length)){var D=t(i).clone().css("visibility","hidden").removeAttr("id");D.find("tbody tr").remove();var y=t("<tr/>").appendTo(D.find("tbody"));for(D.find("thead, tfoot").remove(),D.append(t(n.nTHead).clone()).append(t(n.nTFoot).clone()),D.find("tfoot th, tfoot td").css("width",""),p=td(n,D.find("thead")[0]),a=0;a<h.length;a++)r=l[h[a]],p[a].style.width=null!==r.sWidthOrig&&""!==r.sWidthOrig?tG(r.sWidthOrig):"",r.sWidthOrig&&c&&t(p[a]).append(t("<div/>").css({width:r.sWidthOrig,margin:0,padding:0,border:0,height:1}));if(n.aoData.length)for(a=0;a<h.length;a++)r=l[o=h[a]],t(t0(n,o)).clone(!1).append(r.sContentPadding).appendTo(y);t("[name]",D).removeAttr("name");var C=t("<div/>").css(c||u?{position:"absolute",top:0,left:0,height:1,right:0,overflow:"hidden"}:{}).append(D).appendTo(b);c&&f?D.width(f):c?(D.css("width","auto"),D.removeAttr("width"),D.width()<b.clientWidth&&g&&D.width(b.clientWidth)):u?D.width(b.clientWidth):g&&D.width(g);var T=0;for(a=0;a<h.length;a++){var w=t(p[a]),x=w.outerWidth()-w.width(),_=$.bBounding?Math.ceil(p[a].getBoundingClientRect().width):w.outerWidth();T+=_,l[h[a]].sWidth=tG(_-x)}i.style.width=tG(T),C.remove()}else for(a=0;a<d;a++){var I=k(n,a);null!==I&&(l[I].sWidth=tG(p.eq(a).width()))}if(g&&(i.style.width=tG(g)),(g||c)&&!n._reszEvt){var A=function(){t(e).on("resize.DT-"+n.sInstance,tV(function(){O(n)}))};S?setTimeout(A,1e3):A(),n._reszEvt=!0}}var tV=s.util.throttle;function tX(e,a){if(!e)return 0;var r=t("<div/>").css("width",tG(e)).appendTo(a||n.body),o=r[0].offsetWidth;return r.remove(),o}function t0(e,n){var a=tq(e,n);if(a<0)return null;var r=e.aoData[a];return r.nTr?r.anCells[n]:t("<td/>").html(X(e,a,n,"display"))[0]}function tq(t,e){for(var n,a=-1,r=-1,o=0,i=t.aoData.length;o<i;o++)(n=(n=(n=X(t,o,e,"display")+"").replace(tE,"")).replace(/&nbsp;/g," ")).length>a&&(a=n.length,r=o);return r}function tG(t){return null===t?"0px":"number"==typeof t?t<0?"0px":t+"px":t.match(/\d$/)?t+"px":t}function t9(e){var n,r,o,i,l,u,c,f=[],d=e.aoColumns,h=e.aaSortingFixed,p=t.isPlainObject(h),g=[],b=function(e){e.length&&!t.isArray(e[0])?g.push(e):t.merge(g,e)};for(t.isArray(h)&&b(h),p&&h.pre&&b(h.pre),b(e.aaSorting),p&&h.post&&b(h.post),n=0;n<g.length;n++)for(r=0,o=(i=d[c=g[n][0]].aDataSort).length;r<o;r++)u=d[l=i[r]].sType||"string",a===g[n]._idx&&(g[n]._idx=t.inArray(g[n][1],d[l].asSorting)),f.push({src:c,col:l,dir:g[n][1],index:g[n]._idx,type:u,formatter:s.ext.type.order[u+"-pre"]});return f}function tz(t){var e,n,a,r,o,i=[],l=s.ext.type.order,u=t.aoData,c=(t.aoColumns,0),f=t.aiDisplayMaster;for(B(t),o=t9(t),e=0,n=o.length;e<n;e++)(r=o[e]).formatter&&c++,tQ(t,r.col);if("ssp"!=eo(t)&&0!==o.length){for(e=0,a=f.length;e<a;e++)i[f[e]]=e;c===o.length?f.sort(function(t,e){var n,a,r,l,s,c=o.length,f=u[t]._aSortData,d=u[e]._aSortData;for(r=0;r<c;r++)if(0!=(l=(n=f[(s=o[r]).col])<(a=d[s.col])?-1:n>a?1:0))return"asc"===s.dir?l:-l;return(n=i[t])<(a=i[e])?-1:n>a?1:0}):f.sort(function(t,e){var n,a,r,s,c,f,d=o.length,h=u[t]._aSortData,p=u[e]._aSortData;for(r=0;r<d;r++)if(n=h[(c=o[r]).col],a=p[c.col],0!==(s=(f=l[c.type+"-"+c.dir]||l["string-"+c.dir])(n,a)))return s;return(n=i[t])<(a=i[e])?-1:n>a?1:0})}t.bSorted=!0}function tY(t){for(var e,n,a=t.aoColumns,r=t9(t),o=t.oLanguage.oAria,i=0,l=a.length;i<l;i++){var s=a[i],u=s.asSorting,c=s.sTitle.replace(/<.*?>/g,""),f=s.nTh;f.removeAttribute("aria-sort"),s.bSortable?(r.length>0&&r[0].col==i?(f.setAttribute("aria-sort","asc"==r[0].dir?"ascending":"descending"),n=u[r[0].index+1]||u[0]):n=u[0],e=c+("asc"===n?o.sSortAscending:o.sSortDescending)):e=c,f.setAttribute("aria-label",e)}}function t1(e,n,r,o){var i,l=e.aoColumns[n],s=e.aaSorting,u=l.asSorting,c=function(e,n){var r=e._idx;return r===a&&(r=t.inArray(e[1],u)),r+1<u.length?r+1:n?null:0};if("number"==typeof s[0]&&(s=e.aaSorting=[s]),r&&e.oFeatures.bSortMulti){var f=t.inArray(n,D(s,"0"));-1!==f?(null===(i=c(s[f],!0))&&1===s.length&&(i=0),null===i?s.splice(f,1):(s[f][1]=u[i],s[f]._idx=i)):(s.push([n,u[0],0]),s[s.length-1]._idx=0)}else s.length&&s[0][0]==n?(i=c(s[0]),s.length=1,s[0][1]=u[i],s[0]._idx=i):(s.length=0,s.push([n,u[0]]),s[0]._idx=0);tu(e),"function"==typeof o&&o(e)}function tZ(t,e,n,a){var r=t.aoColumns[n];et(e,{},function(e){!1!==r.bSortable&&(t.oFeatures.bProcessing?(tW(t,!0),setTimeout(function(){t1(t,n,e.shiftKey,a),"ssp"!==eo(t)&&tW(t,!1)},0)):t1(t,n,e.shiftKey,a))})}function t2(e){var n,a,r,o=e.aLastSort,i=e.oClasses.sSortColumn,l=t9(e),s=e.oFeatures;if(s.bSort&&s.bSortClasses){for(n=0,a=o.length;n<a;n++)r=o[n].src,t(D(e.aoData,"anCells",r)).removeClass(i+(n<2?n+1:3));for(n=0,a=l.length;n<a;n++)r=l[n].src,t(D(e.aoData,"anCells",r)).addClass(i+(n<2?n+1:3))}e.aLastSort=l}function tQ(t,e){var n,a,r,o=t.aoColumns[e],i=s.ext.order[o.sSortDataType];i&&(n=i.call(t.oInstance,t,e,W(t,e)));for(var l=s.ext.type.order[o.sType+"-pre"],u=0,c=t.aoData.length;u<c;u++)(a=t.aoData[u])._aSortData||(a._aSortData=[]),(!a._aSortData[e]||i)&&(r=i?n[u]:X(t,u,e,"sort"),a._aSortData[e]=l?l(r):r)}function t3(e){if(e.oFeatures.bStateSave&&!e.bDestroying){var n={time:+new Date,start:e._iDisplayStart,length:e._iDisplayLength,order:t.extend(!0,[],e.aaSorting),search:t_(e.oPreviousSearch),columns:t.map(e.aoColumns,function(t,n){return{visible:t.bVisible,search:t_(e.aoPreSearchCols[n])}})};en(e,"aoStateSaveParams","stateSaveParams",[e,n]),e.oSavedState=n,e.fnStateSaveCallback.call(e.oInstance,e,n)}}function t5(e,n,r){var o,i,l=e.aoColumns,s=function(n){if(!n||!n.time){r();return}var s=en(e,"aoStateLoadParams","stateLoadParams",[e,u]);if(-1!==t.inArray(!1,s)){r();return}var c=e.iStateDuration;if(c>0&&n.time<+new Date-1e3*c||n.columns&&l.length!==n.columns.length){r();return}if(e.oLoadedState=t.extend(!0,{},u),a!==n.start&&(e._iDisplayStart=n.start,e.iInitDisplayStart=n.start),a!==n.length&&(e._iDisplayLength=n.length),a!==n.order&&(e.aaSorting=[],t.each(n.order,function(t,n){e.aaSorting.push(n[0]>=l.length?[0,n[1]]:n)})),a!==n.search&&t.extend(e.oPreviousSearch,tI(n.search)),n.columns)for(o=0,i=n.columns.length;o<i;o++){var f=n.columns[o];a!==f.visible&&(l[o].bVisible=f.visible),a!==f.search&&t.extend(e.aoPreSearchCols[o],tI(f.search))}en(e,"aoStateLoaded","stateLoaded",[e,u]),r()};if(!e.oFeatures.bStateSave){r();return}var u=e.fnStateLoadCallback.call(e.oInstance,e,s);u!==a&&s(u)}function tK(e){var n=s.settings,a=t.inArray(e,D(n,"nTable"));return -1!==a?n[a]:null}function t4(t,n,a,r){if(a="DataTables warning: "+(t?"table id="+t.sTableId+" - ":"")+a,r&&(a+=". For more information about this error, please see http://datatables.net/tn/"+r),n)e.console&&console.log&&console.log(a);else{var o=s.ext,i=o.sErrMode||o.errMode;if(t&&en(t,null,"error",[t,r,a]),"alert"==i)alert(a);else if("throw"==i)throw Error(a);else"function"==typeof i&&i(t,r,a)}}function t7(e,n,r,o){if(t.isArray(r)){t.each(r,function(a,r){t.isArray(r)?t7(e,n,r[0],r[1]):t7(e,n,r)});return}o===a&&(o=r),a!==n[r]&&(e[o]=n[r])}function t6(e,n,a){var r;for(var o in n)n.hasOwnProperty(o)&&(r=n[o],t.isPlainObject(r)?(t.isPlainObject(e[o])||(e[o]={}),t.extend(!0,e[o],r)):a&&"data"!==o&&"aaData"!==o&&t.isArray(r)?e[o]=r.slice():e[o]=r);return e}function et(e,n,a){t(e).on("click.DT",n,function(t){e.blur(),a(t)}).on("keypress.DT",n,function(t){13===t.which&&(t.preventDefault(),a(t))}).on("selectstart.DT",function(){return!1})}function ee(t,e,n,a){n&&t[e].push({fn:n,sName:a})}function en(e,n,a,r){var o=[];if(n&&(o=t.map(e[n].slice().reverse(),function(t,n){return t.fn.apply(e.oInstance,r)})),null!==a){var i=t.Event(a+".dt");t(e.nTable).trigger(i,r),o.push(i.result)}return o}function ea(t){var e=t._iDisplayStart,n=t.fnDisplayEnd(),a=t._iDisplayLength;e>=n&&(e=n-a),e-=e%a,(-1===a||e<0)&&(e=0),t._iDisplayStart=e}function er(e,n){var a=e.renderer,r=s.ext.renderer[n];return t.isPlainObject(a)&&a[n]?r[a[n]]||r._:"string"==typeof a&&r[a]||r._}function eo(t){return t.oFeatures.bServerSide?"ssp":t.ajax||t.sAjaxSource?"ajax":"dom"}var ei=[],el=Array.prototype,es=function(e){var n,a,r=s.settings,o=t.map(r,function(t,e){return t.nTable});if(!e)return[];if(e.nTable&&e.oApi)return[e];if(e.nodeName&&"table"===e.nodeName.toLowerCase())return -1!==(n=t.inArray(e,o))?[r[n]]:null;if(e&&"function"==typeof e.settings)return e.settings().toArray();"string"==typeof e?a=t(e):e instanceof t&&(a=e);if(a)return a.map(function(e){return -1!==(n=t.inArray(this,o))?r[n]:null}).toArray()};o=function(e,n){if(!(this instanceof o))return new o(e,n);var a=[],r=function(t){var e=es(t);e&&(a=a.concat(e))};if(t.isArray(e))for(var i=0,l=e.length;i<l;i++)r(e[i]);else r(e);this.context=x(a),n&&t.merge(this,n),this.selector={rows:null,cols:null,opts:null},o.extend(this,this,ei)},s.Api=o,t.extend(o.prototype,{any:function(){return 0!==this.count()},concat:el.concat,context:[],count:function(){return this.flatten().length},each:function(t){for(var e=0,n=this.length;e<n;e++)t.call(this,this[e],e,this);return this},eq:function(t){var e=this.context;return e.length>t?new o(e[t],this[t]):null},filter:function(t){var e=[];if(el.filter)e=el.filter.call(this,t,this);else for(var n=0,a=this.length;n<a;n++)t.call(this,this[n],n,this)&&e.push(this[n]);return new o(this.context,e)},flatten:function(){var t=[];return new o(this.context,t.concat.apply(t,this.toArray()))},join:el.join,indexOf:el.indexOf||function(t,e){for(var n=e||0,a=this.length;n<a;n++)if(this[n]===t)return n;return -1},iterator:function(t,e,n,r){var i,l,s,u,c,f,d,h,p=[],g=this.context,b=this.selector;for("string"==typeof t&&(r=n,n=e,e=t,t=!1),l=0,s=g.length;l<s;l++){var v=new o(g[l]);if("table"===e)a!==(i=n.call(v,g[l],l))&&p.push(i);else if("columns"===e||"rows"===e)a!==(i=n.call(v,g[l],this[l],l))&&p.push(i);else if("column"===e||"column-rows"===e||"row"===e||"cell"===e)for(d=this[l],"column-rows"===e&&(f=ep(g[l],b.opts)),u=0,c=d.length;u<c;u++)h=d[u],a!==(i="cell"===e?n.call(v,g[l],h.row,h.column,l,u):n.call(v,g[l],h,l,u,f))&&p.push(i)}if(p.length||r){var $=new o(g,t?p.concat.apply([],p):p),S=$.selector;return S.rows=b.rows,S.cols=b.cols,S.opts=b.opts,$}return this},lastIndexOf:el.lastIndexOf||function(t,e){return this.indexOf.apply(this.toArray.reverse(),arguments)},length:0,map:function(t){var e=[];if(el.map)e=el.map.call(this,t,this);else for(var n=0,a=this.length;n<a;n++)e.push(t.call(this,this[n],n));return new o(this.context,e)},pluck:function(t){return this.map(function(e){return e[t]})},pop:el.pop,push:el.push,reduce:el.reduce||function(t,e){return j(this,t,e,0,this.length,1)},reduceRight:el.reduceRight||function(t,e){return j(this,t,e,this.length-1,-1,-1)},reverse:el.reverse,selector:null,shift:el.shift,sort:el.sort,splice:el.splice,toArray:function(){return el.slice.call(this)},to$:function(){return t(this)},toJQuery:function(){return t(this)},unique:function(){return new o(this.context,x(this))},unshift:el.unshift}),o.extend=function(e,n,a){if(a.length&&n&&(n instanceof o||n.__dt_wrapper)){var r,i,l,s=function(t,e,n){return function(){var a=e.apply(t,arguments);return o.extend(a,a,n.methodExt),a}};for(r=0,i=a.length;r<i;r++)n[(l=a[r]).name]="function"==typeof l.val?s(e,l.val,l):t.isPlainObject(l.val)?{}:l.val,n[l.name].__dt_wrapper=!0,o.extend(e,n[l.name],l.propExt)}},o.register=i=function(e,n){if(t.isArray(e)){for(var a=0,r=e.length;a<r;a++)o.register(e[a],n);return}var i,l,s,u,c=e.split("."),f=ei;for(i=0,l=c.length;i<l;i++){var d=function(t,e){for(var n=0,a=t.length;n<a;n++)if(t[n].name===e)return t[n];return null}(f,s=(u=-1!==c[i].indexOf("()"))?c[i].replace("()",""):c[i]);d||(d={name:s,val:{},methodExt:[],propExt:[]},f.push(d)),i===l-1?d.val=n:f=u?d.methodExt:d.propExt}},o.registerPlural=l=function(e,n,r){o.register(e,r),o.register(n,function(){var e=r.apply(this,arguments);return e===this?this:e instanceof o?e.length?t.isArray(e[0])?new o(e.context,e[0]):e[0]:a:e})};var eu=function(e,n){if("number"==typeof e)return[n[e]];var a=t.map(n,function(t,e){return t.nTable});return t(a).filter(e).map(function(e){return n[t.inArray(this,a)]}).toArray()};i("tables()",function(t){return t?new o(eu(t,this.context)):this}),i("table()",function(t){var e=this.tables(t),n=e.context;return n.length?new o(n[0]):e}),l("tables().nodes()","table().node()",function(){return this.iterator("table",function(t){return t.nTable},1)}),l("tables().body()","table().body()",function(){return this.iterator("table",function(t){return t.nTBody},1)}),l("tables().header()","table().header()",function(){return this.iterator("table",function(t){return t.nTHead},1)}),l("tables().footer()","table().footer()",function(){return this.iterator("table",function(t){return t.nTFoot},1)}),l("tables().containers()","table().container()",function(){return this.iterator("table",function(t){return t.nTableWrapper},1)}),i("draw()",function(t){return this.iterator("table",function(e){"page"===t?ts(e):("string"==typeof t&&(t="full-hold"!==t),tu(e,!1===t))})}),i("page()",function(t){return t===a?this.page.info().page:this.iterator("table",function(e){tO(e,t)})}),i("page.info()",function(t){if(0!==this.context.length){var e=this.context[0],n=e._iDisplayStart,a=e.oFeatures.bPaginate?e._iDisplayLength:-1,r=e.fnRecordsDisplay(),o=-1===a;return{page:o?0:Math.floor(n/a),pages:o?1:Math.ceil(r/a),start:n,end:e.fnDisplayEnd(),length:a,recordsTotal:e.fnRecordsTotal(),recordsDisplay:r,serverSide:"ssp"===eo(e)}}}),i("page.len()",function(t){return t===a?0!==this.context.length?this.context[0]._iDisplayLength:a:this.iterator("table",function(e){tj(e,t)})});var ec=function(t,e,n){if(n){var a=new o(t);a.one("draw",function(){n(a.ajax.json())})}if("ssp"==eo(t))tu(t,e);else{tW(t,!0);var r=t.jqXHR;r&&4!==r.readyState&&r.abort(),th(t,[],function(n){tt(t);for(var a=tv(t,n),r=0,o=a.length;r<o;r++)J(t,a[r]);tu(t,e),tW(t,!1)})}};i("ajax.json()",function(){var t=this.context;if(t.length>0)return t[0].json}),i("ajax.params()",function(){var t=this.context;if(t.length>0)return t[0].oAjaxData}),i("ajax.reload()",function(t,e){return this.iterator("table",function(n){ec(n,!1===e,t)})}),i("ajax.url()",function(e){var n=this.context;if(e===a){if(0===n.length)return;return(n=n[0]).ajax?t.isPlainObject(n.ajax)?n.ajax.url:n.ajax:n.sAjaxSource}return this.iterator("table",function(n){t.isPlainObject(n.ajax)?n.ajax.url=e:n.ajax=e})}),i("ajax.url().load()",function(t,e){return this.iterator("table",function(n){ec(n,!1===e,t)})});var ef=function(e,n,o,i,l){var s,u,c,f,d,h,p=[],g=typeof n;for(n&&"string"!==g&&"function"!==g&&a!==n.length||(n=[n]),c=0,f=n.length;c<f;c++)for(d=0,h=(u=n[c]&&n[c].split&&!n[c].match(/[\[\(:]/)?n[c].split(","):[n[c]]).length;d<h;d++)(s=o("string"==typeof u[d]?t.trim(u[d]):u[d]))&&s.length&&(p=p.concat(s));var b=r.selector[e];if(b.length)for(c=0,f=b.length;c<f;c++)p=b[c](i,l,p);return x(p)},ed=function(e){return e||(e={}),e.filter&&a===e.search&&(e.search=e.filter),t.extend({search:"none",order:"current",page:"all"},e)},eh=function(t){for(var e=0,n=t.length;e<n;e++)if(t[e].length>0)return t[0]=t[e],t[0].length=1,t.length=1,t.context=[t.context[e]],t;return t.length=0,t},ep=function(e,n){var a,r,o,i=[],l=e.aiDisplay,s=e.aiDisplayMaster,u=n.search,c=n.order,f=n.page;if("ssp"==eo(e))return"removed"===u?[]:C(0,s.length);if("current"==f)for(a=e._iDisplayStart,r=e.fnDisplayEnd();a<r;a++)i.push(l[a]);else if("current"==c||"applied"==c)i="none"==u?s.slice():"applied"==u?l.slice():t.map(s,function(e,n){return -1===t.inArray(e,l)?e:null});else if("index"==c||"original"==c)for(a=0,r=e.aoData.length;a<r;a++)"none"==u?i.push(a):(-1===(o=t.inArray(a,l))&&"removed"==u||o>=0&&"applied"==u)&&i.push(a);return i},eg=function(e,n,r){var o;return ef("row",n,function(n){var i=b(n);if(null!==i&&!r||(o||(o=ep(e,r)),null!==i&&-1!==t.inArray(i,o)))return[i];if(null===n||n===a||""===n)return o;if("function"==typeof n)return t.map(o,function(t){var a=e.aoData[t];return n(t,a._aData,a.nTr)?t:null});var l=T(y(e.aoData,o,"nTr"));if(n.nodeName){if(a!==n._DT_RowIndex)return[n._DT_RowIndex];if(n._DT_CellIndex)return[n._DT_CellIndex.row];var s=t(n).closest("*[data-dt-row]");return s.length?[s.data("dt-row")]:[]}if("string"==typeof n&&"#"===n.charAt(0)){var u=e.aIds[n.replace(/^#/,"")];if(u!==a)return[u.idx]}return t(l).filter(n).map(function(){return this._DT_RowIndex}).toArray()},e,r)};i("rows()",function(e,n){e===a?e="":t.isPlainObject(e)&&(n=e,e=""),n=ed(n);var r=this.iterator("table",function(t){return eg(t,e,n)},1);return r.selector.rows=e,r.selector.opts=n,r}),i("rows().nodes()",function(){return this.iterator("row",function(t,e){return t.aoData[e].nTr||a},1)}),i("rows().data()",function(){return this.iterator(!0,"rows",function(t,e){return y(t.aoData,e,"_aData")},1)}),l("rows().cache()","row().cache()",function(t){return this.iterator("row",function(e,n){var a=e.aoData[n];return"search"===t?a._aFilterData:a._aSortData},1)}),l("rows().invalidate()","row().invalidate()",function(t){return this.iterator("row",function(e,n){tn(e,n,t)})}),l("rows().indexes()","row().index()",function(){return this.iterator("row",function(t,e){return e},1)}),l("rows().ids()","row().id()",function(t){for(var e=[],n=this.context,a=0,r=n.length;a<r;a++)for(var i=0,l=this[a].length;i<l;i++){var s=n[a].rowIdFn(n[a].aoData[this[a][i]]._aData);e.push((!0===t?"#":"")+s)}return new o(n,e)}),l("rows().remove()","row().remove()",function(){var t=this;return this.iterator("row",function(e,n,r){var o,i,l,s,u,c,f=e.aoData,d=f[n];for(f.splice(n,1),o=0,i=f.length;o<i;o++)if(c=(u=f[o]).anCells,null!==u.nTr&&(u.nTr._DT_RowIndex=o),null!==c)for(l=0,s=c.length;l<s;l++)c[l]._DT_CellIndex.row=o;te(e.aiDisplayMaster,n),te(e.aiDisplay,n),te(t[r],n,!1),ea(e);var h=e.rowIdFn(d._aData);h!==a&&delete e.aIds[h]}),this.iterator("table",function(t){for(var e=0,n=t.aoData.length;e<n;e++)t.aoData[e].idx=e}),this}),i("rows.add()",function(e){var n=this.iterator("table",function(t){var n,a,r,o=[];for(a=0,r=e.length;a<r;a++)(n=e[a]).nodeName&&"TR"===n.nodeName.toUpperCase()?o.push(V(t,n)[0]):o.push(J(t,n));return o},1),a=this.rows(-1);return a.pop(),t.merge(a,n),a}),i("row()",function(t,e){return eh(this.rows(t,e))}),i("row().data()",function(t){var e=this.context;return t===a?e.length&&this.length?e[0].aoData[this[0]]._aData:a:(e[0].aoData[this[0]]._aData=t,tn(e[0],this[0],"data"),this)}),i("row().node()",function(){var t=this.context;return t.length&&this.length&&t[0].aoData[this[0]].nTr||null}),i("row.add()",function(e){e instanceof t&&e.length&&(e=e[0]);var n=this.iterator("table",function(t){return e.nodeName&&"TR"===e.nodeName.toUpperCase()?V(t,e)[0]:J(t,e)});return this.row(n[0])});var eb=function(e,n,a,r){var o=[],i=function(n,a){if(t.isArray(n)||n instanceof t){for(var r=0,l=n.length;r<l;r++)i(n[r],a);return}if(n.nodeName&&"tr"===n.nodeName.toLowerCase())o.push(n);else{var s=t("<tr><td/></tr>").addClass(a);t("td",s).addClass(a).html(n)[0].colSpan=U(e),o.push(s[0])}};i(a,r),n._details&&n._details.detach(),n._details=t(o),n._detailsShow&&n._details.insertAfter(n.nTr)},ev=function(t,e){var n=t.context;if(n.length){var r=n[0].aoData[e!==a?e:t[0]];r&&r._details&&(r._details.remove(),r._detailsShow=a,r._details=a)}},e$=function(t,e){var n=t.context;if(n.length&&t.length){var a=n[0].aoData[t[0]];a._details&&(a._detailsShow=e,e?a._details.insertAfter(a.nTr):a._details.detach(),eS(n[0]))}},eS=function(t){var e=new o(t),n=".dt.DT_details",a="draw"+n,r="column-visibility"+n,i="destroy"+n,l=t.aoData;e.off(a+" "+r+" "+i),D(l,"_details").length>0&&(e.on(a,function(n,a){t===a&&e.rows({page:"current"}).eq(0).each(function(t){var e=l[t];e._detailsShow&&e._details.insertAfter(e.nTr)})}),e.on(r,function(e,n,a,r){if(t===n)for(var o,i=U(n),s=0,u=l.length;s<u;s++)(o=l[s])._details&&o._details.children("td[colspan]").attr("colspan",i)}),e.on(i,function(n,a){if(t===a)for(var r=0,o=l.length;r<o;r++)l[r]._details&&ev(e,r)}))},em="row().child",eD=em+"()";i(eD,function(t,e){var n=this.context;return t===a?n.length&&this.length?n[0].aoData[this[0]]._details:a:(!0===t?this.child.show():!1===t?ev(this):n.length&&this.length&&eb(n[0],n[0].aoData[this[0]],t,e),this)}),i([em+".show()",eD+".show()"],function(t){return e$(this,!0),this}),i([em+".hide()",eD+".hide()"],function(){return e$(this,!1),this}),i([em+".remove()",eD+".remove()"],function(){return ev(this),this}),i(em+".isShown()",function(){var t=this.context;return!!t.length&&!!this.length&&!!t[0].aoData[this[0]]._detailsShow});var ey=/^([^:]+):(name|visIdx|visible)$/,e8=function(t,e,n,a,r){for(var o=[],i=0,l=r.length;i<l;i++)o.push(X(t,r[i],e));return o},eC=function(e,n,a){var r=e.aoColumns,o=D(r,"sName"),i=D(r,"nTh");return ef("column",n,function(n){var l=b(n);if(""===n)return C(r.length);if(null!==l)return[l>=0?l:r.length+l];if("function"==typeof n){var s=ep(e,a);return t.map(r,function(t,a){return n(a,e8(e,a,0,0,s),i[a])?a:null})}var u="string"==typeof n?n.match(ey):"";if(u)switch(u[2]){case"visIdx":case"visible":var c=parseInt(u[1],10);if(c<0){var f=t.map(r,function(t,e){return t.bVisible?e:null});return[f[f.length+c]]}return[k(e,c)];case"name":return t.map(o,function(t,e){return t===u[1]?e:null});default:return[]}if(n.nodeName&&n._DT_CellIndex)return[n._DT_CellIndex.column];var d=t(i).filter(n).map(function(){return t.inArray(this,i)}).toArray();if(d.length||!n.nodeName)return d;var h=t(n).closest("*[data-dt-column]");return h.length?[h.data("dt-column")]:[]},e,a)},eT=function(e,n,r){var o,i,l,s,u=e.aoColumns,c=u[n],f=e.aoData;if(r===a)return c.bVisible;if(c.bVisible!==r){if(r){var d=t.inArray(!0,D(u,"bVisible"),n+1);for(i=0,l=f.length;i<l;i++)s=f[i].nTr,o=f[i].anCells,s&&s.insertBefore(o[n],o[d]||null)}else t(D(e.aoData,"anCells",n)).detach();c.bVisible=r,tl(e,e.aoHeader),tl(e,e.aoFooter),t3(e)}};i("columns()",function(e,n){e===a?e="":t.isPlainObject(e)&&(n=e,e=""),n=ed(n);var r=this.iterator("table",function(t){return eC(t,e,n)},1);return r.selector.cols=e,r.selector.opts=n,r}),l("columns().header()","column().header()",function(t,e){return this.iterator("column",function(t,e){return t.aoColumns[e].nTh},1)}),l("columns().footer()","column().footer()",function(t,e){return this.iterator("column",function(t,e){return t.aoColumns[e].nTf},1)}),l("columns().data()","column().data()",function(){return this.iterator("column-rows",e8,1)}),l("columns().dataSrc()","column().dataSrc()",function(){return this.iterator("column",function(t,e){return t.aoColumns[e].mData},1)}),l("columns().cache()","column().cache()",function(t){return this.iterator("column-rows",function(e,n,a,r,o){return y(e.aoData,o,"search"===t?"_aFilterData":"_aSortData",n)},1)}),l("columns().nodes()","column().nodes()",function(){return this.iterator("column-rows",function(t,e,n,a,r){return y(t.aoData,r,"anCells",e)},1)}),l("columns().visible()","column().visible()",function(t,e){var n=this.iterator("column",function(e,n){if(t===a)return e.aoColumns[n].bVisible;eT(e,n,t)});return t!==a&&(this.iterator("column",function(n,a){en(n,null,"column-visibility",[n,a,t,e])}),(e===a||e)&&this.columns.adjust()),n}),l("columns().indexes()","column().index()",function(t){return this.iterator("column",function(e,n){return"visible"===t?W(e,n):n},1)}),i("columns.adjust()",function(){return this.iterator("table",function(t){O(t)},1)}),i("column.index()",function(t,e){if(0!==this.context.length){var n=this.context[0];if("fromVisible"===t||"toData"===t)return k(n,e);if("fromData"===t||"toVisible"===t)return W(n,e)}}),i("column()",function(t,e){return eh(this.columns(t,e))});var ew,ex,e_,eI,eA=function(e,n,r){var o,i,l,s,u,c,f,d=e.aoData,h=ep(e,r),p=T(y(d,h,"anCells")),g=t([].concat.apply([],p)),b=e.aoColumns.length;return ef("cell",n,function(n){var r="function"==typeof n;if(null===n||n===a||r){for(l=0,i=[],s=h.length;l<s;l++)for(u=0,o=h[l];u<b;u++)c={row:o,column:u},r?(f=d[o],n(c,X(e,o,u),f.anCells?f.anCells[u]:null)&&i.push(c)):i.push(c);return i}if(t.isPlainObject(n))return[n];var p=g.filter(n).map(function(t,e){return{row:e._DT_CellIndex.row,column:e._DT_CellIndex.column}}).toArray();return p.length||!n.nodeName?p:(f=t(n).closest("*[data-dt-row]")).length?[{row:f.data("dt-row"),column:f.data("dt-column")}]:[]},e,r)};i("cells()",function(e,n,r){if(t.isPlainObject(e)&&(a===e.row?(r=e,e=null):(r=n,n=null)),t.isPlainObject(n)&&(r=n,n=null),null===n||n===a)return this.iterator("table",function(t){return eA(t,e,ed(r))});var o,i,l,s,u,c=this.columns(n,r),f=this.rows(e,r),d=this.iterator("table",function(t,e){for(i=0,o=[],l=f[e].length;i<l;i++)for(s=0,u=c[e].length;s<u;s++)o.push({row:f[e][i],column:c[e][s]});return o},1);return t.extend(d.selector,{cols:n,rows:e,opts:r}),d}),l("cells().nodes()","cell().node()",function(){return this.iterator("cell",function(t,e,n){var r=t.aoData[e];return r&&r.anCells?r.anCells[n]:a},1)}),i("cells().data()",function(){return this.iterator("cell",function(t,e,n){return X(t,e,n)},1)}),l("cells().cache()","cell().cache()",function(t){return t="search"===t?"_aFilterData":"_aSortData",this.iterator("cell",function(e,n,a){return e.aoData[n][t][a]},1)}),l("cells().render()","cell().render()",function(t){return this.iterator("cell",function(e,n,a){return X(e,n,a,t)},1)}),l("cells().indexes()","cell().index()",function(){return this.iterator("cell",function(t,e,n){return{row:e,column:n,columnVisible:W(t,n)}},1)}),l("cells().invalidate()","cell().invalidate()",function(t){return this.iterator("cell",function(e,n,a){tn(e,n,t,a)})}),i("cell()",function(t,e,n){return eh(this.cells(t,e,n))}),i("cell().data()",function(t){var e=this.context,n=this[0];return t===a?e.length&&n.length?X(e[0],n[0].row,n[0].column):a:(q(e[0],n[0].row,n[0].column,t),tn(e[0],n[0].row,"data",n[0].column),this)}),i("order()",function(e,n){var r=this.context;return e===a?0!==r.length?r[0].aaSorting:a:("number"==typeof e?e=[[e,n]]:e.length&&!t.isArray(e[0])&&(e=Array.prototype.slice.call(arguments)),this.iterator("table",function(t){t.aaSorting=e.slice()}))}),i("order.listener()",function(t,e,n){return this.iterator("table",function(a){tZ(a,t,e,n)})}),i("order.fixed()",function(e){if(!e){var n=this.context,r=n.length?n[0].aaSortingFixed:a;return t.isArray(r)?{pre:r}:r}return this.iterator("table",function(n){n.aaSortingFixed=t.extend(!0,{},e)})}),i(["columns().order()","column().order()"],function(e){var n=this;return this.iterator("table",function(a,r){var o=[];t.each(n[r],function(t,n){o.push([n,e])}),a.aaSorting=o})}),i("search()",function(e,n,r,o){var i=this.context;return e===a?0!==i.length?i[0].oPreviousSearch.sSearch:a:this.iterator("table",function(a){a.oFeatures.bFilter&&tS(a,t.extend({},a.oPreviousSearch,{sSearch:e+"",bRegex:null!==n&&n,bSmart:null===r||r,bCaseInsensitive:null===o||o}),1)})}),l("columns().search()","column().search()",function(e,n,r,o){return this.iterator("column",function(i,l){var s=i.aoPreSearchCols;if(e===a)return s[l].sSearch;i.oFeatures.bFilter&&(t.extend(s[l],{sSearch:e+"",bRegex:null!==n&&n,bSmart:null===r||r,bCaseInsensitive:null===o||o}),tS(i,i.oPreviousSearch,1))})}),i("state()",function(){return this.context.length?this.context[0].oSavedState:null}),i("state.clear()",function(){return this.iterator("table",function(t){t.fnStateSaveCallback.call(t.oInstance,t,{})})}),i("state.loaded()",function(){return this.context.length?this.context[0].oLoadedState:null}),i("state.save()",function(){return this.iterator("table",function(t){t3(t)})}),s.versionCheck=s.fnVersionCheck=function(t){for(var e,n,a=s.version.split("."),r=t.split("."),o=0,i=r.length;o<i;o++)if(e=parseInt(a[o],10)||0,n=parseInt(r[o],10)||0,e!==n)return e>n;return!0},s.isDataTable=s.fnIsDataTable=function(e){var n=t(e).get(0),a=!1;return e instanceof s.Api||(t.each(s.settings,function(e,r){var o=r.nScrollHead?t("table",r.nScrollHead)[0]:null,i=r.nScrollFoot?t("table",r.nScrollFoot)[0]:null;(r.nTable===n||o===n||i===n)&&(a=!0)}),a)},s.tables=s.fnTables=function(e){var n=!1;t.isPlainObject(e)&&(n=e.api,e=e.visible);var a=t.map(s.settings,function(n){if(!e||e&&t(n.nTable).is(":visible"))return n.nTable});return n?new o(a):a},s.camelToHungarian=I,i("$()",function(e,n){var a=this.rows(n).nodes(),r=t(a);return t([].concat(r.filter(e).toArray(),r.find(e).toArray()))}),t.each(["on","one","off"],function(e,n){i(n+"()",function(){var e=Array.prototype.slice.call(arguments);e[0]=t.map(e[0].split(/\s/),function(t){return t.match(/\.dt\b/)?t:t+".dt"}).join(" ");var a=t(this.tables().nodes());return a[n].apply(a,e),this})}),i("clear()",function(){return this.iterator("table",function(t){tt(t)})}),i("settings()",function(){return new o(this.context,this.context)}),i("init()",function(){var t=this.context;return t.length?t[0].oInit:null}),i("data()",function(){return this.iterator("table",function(t){return D(t.aoData,"_aData")}).flatten()}),i("destroy()",function(n){return n=n||!1,this.iterator("table",function(a){var r,i=a.nTableWrapper.parentNode,l=a.oClasses,u=a.nTable,c=a.nTBody,f=a.nTHead,d=a.nTFoot,h=t(u),p=t(c),g=t(a.nTableWrapper),b=t.map(a.aoData,function(t){return t.nTr});a.bDestroying=!0,en(a,"aoDestroyCallback","destroy",[a]),n||new o(a).columns().visible(!0),g.off(".DT").find(":not(tbody *)").off(".DT"),t(e).off(".DT-"+a.sInstance),u!=f.parentNode&&(h.children("thead").detach(),h.append(f)),d&&u!=d.parentNode&&(h.children("tfoot").detach(),h.append(d)),a.aaSorting=[],a.aaSortingFixed=[],t2(a),t(b).removeClass(a.asStripeClasses.join(" ")),t("th, td",f).removeClass(l.sSortable+" "+l.sSortableAsc+" "+l.sSortableDesc+" "+l.sSortableNone),a.bJUI&&(t("th span."+l.sSortIcon+", td span."+l.sSortIcon,f).detach(),t("th, td",f).each(function(){var e=t("div."+l.sSortJUIWrapper,this);t(this).append(e.contents()),e.detach()})),p.children().detach(),p.append(b);var v=n?"remove":"detach";h[v](),g[v](),!n&&i&&(i.insertBefore(u,a.nTableReinsertBefore),h.css("width",a.sDestroyWidth).removeClass(l.sTable),(r=a.asDestroyStripes.length)&&p.children().each(function(e){t(this).addClass(a.asDestroyStripes[e%r])}));var $=t.inArray(a,s.settings);-1!==$&&s.settings.splice($,1)})}),t.each(["column","row","cell"],function(t,e){i(e+"s().every()",function(t){var n=this.selector.opts,r=this;return this.iterator(e,function(o,i,l,s,u){t.call(r[e](i,"cell"===e?l:n,"cell"===e?n:a),i,l,s,u)})})}),i("i18n()",function(e,n,r){var o=this.context[0],i=Z(e)(o.oLanguage);return i===a&&(i=n),r!==a&&t.isPlainObject(i)&&(i=a!==i[r]?i[r]:i._),i.replace("%d",r)}),s.version="1.10.13",s.settings=[],s.models={},s.models.oSearch={bCaseInsensitive:!0,sSearch:"",bRegex:!1,bSmart:!0},s.models.oRow={nTr:null,anCells:null,_aData:[],_aSortData:null,_aFilterData:null,_sFilterRow:null,_sRowStripe:"",src:null,idx:-1},s.models.oColumn={idx:null,aDataSort:null,asSorting:null,bSearchable:null,bSortable:null,bVisible:null,_sManualType:null,_bAttrSrc:!1,fnCreatedCell:null,fnGetData:null,fnSetData:null,mData:null,mRender:null,nTh:null,nTf:null,sClass:null,sContentPadding:null,sDefaultContent:null,sName:null,sSortDataType:"std",sSortingClass:null,sSortingClassJUI:null,sTitle:null,sType:null,sWidth:null,sWidthOrig:null},s.defaults={aaData:null,aaSorting:[[0,"asc"]],aaSortingFixed:[],ajax:null,aLengthMenu:[10,25,50,100],aoColumns:null,aoColumnDefs:null,aoSearchCols:[],asStripeClasses:null,bAutoWidth:!0,bDeferRender:!1,bDestroy:!1,bFilter:!0,bInfo:!0,bJQueryUI:!1,bLengthChange:!0,bPaginate:!0,bProcessing:!1,bRetrieve:!1,bScrollCollapse:!1,bServerSide:!1,bSort:!0,bSortMulti:!0,bSortCellsTop:!1,bSortClasses:!0,bStateSave:!1,fnCreatedRow:null,fnDrawCallback:null,fnFooterCallback:null,fnFormatNumber:function(t){return t.toString().replace(/\B(?=(\d{3})+(?!\d))/g,this.oLanguage.sThousands)},fnHeaderCallback:null,fnInfoCallback:null,fnInitComplete:null,fnPreDrawCallback:null,fnRowCallback:null,fnServerData:null,fnServerParams:null,fnStateLoadCallback:function(t){try{return JSON.parse((-1===t.iStateDuration?sessionStorage:localStorage).getItem("DataTables_"+t.sInstance+"_"+location.pathname))}catch(e){}},fnStateLoadParams:null,fnStateLoaded:null,fnStateSaveCallback:function(t,e){try{(-1===t.iStateDuration?sessionStorage:localStorage).setItem("DataTables_"+t.sInstance+"_"+location.pathname,JSON.stringify(e))}catch(n){}},fnStateSaveParams:null,iStateDuration:7200,iDeferLoading:null,iDisplayLength:10,iDisplayStart:0,iTabIndex:0,oClasses:{},oLanguage:{oAria:{sSortAscending:": activate to sort column ascending",sSortDescending:": activate to sort column descending"},oPaginate:{sFirst:"First",sLast:"Last",sNext:"Next",sPrevious:"Previous"},sEmptyTable:"No data available in table",sInfo:"Showing _START_ to _END_ of _TOTAL_ entries",sInfoEmpty:"Showing 0 to 0 of 0 entries",sInfoFiltered:"(filtered from _MAX_ total entries)",sInfoPostFix:"",sDecimal:"",sThousands:",",sLengthMenu:"Show _MENU_ entries",sLoadingRecords:"Loading...",sProcessing:"Processing...",sSearch:"Search:",sSearchPlaceholder:"",sUrl:"",sZeroRecords:"No matching records found"},oSearch:t.extend({},s.models.oSearch),sAjaxDataProp:"data",sAjaxSource:null,sDom:"lfrtip",searchDelay:null,sPaginationType:"simple_numbers",sScrollX:"",sScrollXInner:"",sScrollY:"",sServerMethod:"GET",renderer:null,rowId:"DT_RowId"},_(s.defaults),s.defaults.column={aDataSort:null,iDataSort:-1,asSorting:["asc","desc"],bSearchable:!0,bSortable:!0,bVisible:!0,fnCreatedCell:null,mData:null,mRender:null,sCellType:"td",sClass:"",sContentPadding:"",sDefaultContent:null,sName:"",sSortDataType:"std",sTitle:null,sType:null,sWidth:null},_(s.defaults.column),s.models.oSettings={oFeatures:{bAutoWidth:null,bDeferRender:null,bFilter:null,bInfo:null,bLengthChange:null,bPaginate:null,bProcessing:null,bServerSide:null,bSort:null,bSortMulti:null,bSortClasses:null,bStateSave:null},oScroll:{bCollapse:null,iBarWidth:0,sX:null,sXInner:null,sY:null},oLanguage:{fnInfoCallback:null},oBrowser:{bScrollOversize:!1,bScrollbarLeft:!1,bBounding:!1,barWidth:0},ajax:null,aanFeatures:[],aoData:[],aiDisplay:[],aiDisplayMaster:[],aIds:{},aoColumns:[],aoHeader:[],aoFooter:[],oPreviousSearch:{},aoPreSearchCols:[],aaSorting:null,aaSortingFixed:[],asStripeClasses:null,asDestroyStripes:[],sDestroyWidth:0,aoRowCallback:[],aoHeaderCallback:[],aoFooterCallback:[],aoDrawCallback:[],aoRowCreatedCallback:[],aoPreDrawCallback:[],aoInitComplete:[],aoStateSaveParams:[],aoStateLoadParams:[],aoStateLoaded:[],sTableId:"",nTable:null,nTHead:null,nTFoot:null,nTBody:null,nTableWrapper:null,bDeferLoading:!1,bInitialised:!1,aoOpenRows:[],sDom:null,searchDelay:null,sPaginationType:"two_button",iStateDuration:0,aoStateSave:[],aoStateLoad:[],oSavedState:null,oLoadedState:null,sAjaxSource:null,sAjaxDataProp:null,bAjaxDataGet:!0,jqXHR:null,json:a,oAjaxData:a,fnServerData:null,aoServerParams:[],sServerMethod:null,fnFormatNumber:null,aLengthMenu:null,iDraw:0,bDrawing:!1,iDrawError:-1,_iDisplayLength:10,_iDisplayStart:0,_iRecordsTotal:0,_iRecordsDisplay:0,bJUI:null,oClasses:{},bFiltered:!1,bSorted:!1,bSortCellsTop:null,oInit:null,aoDestroyCallback:[],fnRecordsTotal:function(){return"ssp"==eo(this)?1*this._iRecordsTotal:this.aiDisplayMaster.length},fnRecordsDisplay:function(){return"ssp"==eo(this)?1*this._iRecordsDisplay:this.aiDisplay.length},fnDisplayEnd:function(){var t=this._iDisplayLength,e=this._iDisplayStart,n=e+t,a=this.aiDisplay.length,r=this.oFeatures,o=r.bPaginate;return r.bServerSide?!1===o||-1===t?e+a:Math.min(e+t,this._iRecordsDisplay):!o||n>a||-1===t?a:n},oInstance:null,sInstance:null,iTabIndex:0,nScrollHead:null,nScrollFoot:null,aLastSort:[],oPlugins:{},rowIdFn:null,rowId:null},s.ext=r={buttons:{},classes:{},builder:"-source-",errMode:"alert",feature:[],search:[],selector:{cell:[],column:[],row:[]},internal:{},legacy:{ajax:null},pager:{},renderer:{pageButton:{},header:{}},order:{},type:{detect:[],search:{},order:{}},_unique:0,fnVersionCheck:s.fnVersionCheck,iApiIndex:0,oJUIClasses:{},sVersion:s.version},t.extend(r,{afnFiltering:r.search,aTypes:r.type.detect,ofnSearch:r.type.search,oSort:r.type.order,afnSortData:r.order,aoFeatures:r.feature,oApi:r.internal,oStdClasses:r.classes,oPagination:r.pager}),t.extend(s.ext.classes,{sTable:"dataTable",sNoFooter:"no-footer",sPageButton:"paginate_button",sPageButtonActive:"current",sPageButtonDisabled:"disabled",sStripeOdd:"odd",sStripeEven:"even",sRowEmpty:"dataTables_empty",sWrapper:"dataTables_wrapper",sFilter:"dataTables_filter",sInfo:"dataTables_info",sPaging:"dataTables_paginate paging_",sLength:"dataTables_length",sProcessing:"dataTables_processing",sSortAsc:"sorting_asc",sSortDesc:"sorting_desc",sSortable:"sorting",sSortableAsc:"sorting_asc_disabled",sSortableDesc:"sorting_desc_disabled",sSortableNone:"sorting_disabled",sSortColumn:"sorting_",sFilterInput:"",sLengthSelect:"",sScrollWrapper:"dataTables_scroll",sScrollHead:"dataTables_scrollHead",sScrollHeadInner:"dataTables_scrollHeadInner",sScrollBody:"dataTables_scrollBody",sScrollFoot:"dataTables_scrollFoot",sScrollFootInner:"dataTables_scrollFootInner",sHeaderTH:"",sFooterTH:"",sSortJUIAsc:"",sSortJUIDesc:"",sSortJUI:"",sSortJUIAscAllowed:"",sSortJUIDescAllowed:"",sSortJUIWrapper:"",sSortIcon:"",sJUIHeader:"",sJUIFooter:""}),ew="",ex=(ew="")+"ui-state-default",e_=ew+"css_right ui-icon ui-icon-",eI=ew+"fg-toolbar ui-toolbar ui-widget-header ui-helper-clearfix",t.extend(s.ext.oJUIClasses,s.ext.classes,{sPageButton:"fg-button ui-button "+ex,sPageButtonActive:"ui-state-disabled",sPageButtonDisabled:"ui-state-disabled",sPaging:"dataTables_paginate fg-buttonset ui-buttonset fg-buttonset-multi ui-buttonset-multi paging_",sSortAsc:ex+" sorting_asc",sSortDesc:ex+" sorting_desc",sSortable:ex+" sorting",sSortableAsc:ex+" sorting_asc_disabled",sSortableDesc:ex+" sorting_desc_disabled",sSortableNone:ex+" sorting_disabled",sSortJUIAsc:e_+"triangle-1-n",sSortJUIDesc:e_+"triangle-1-s",sSortJUI:e_+"carat-2-n-s",sSortJUIAscAllowed:e_+"carat-1-n",sSortJUIDescAllowed:e_+"carat-1-s",sSortJUIWrapper:"DataTables_sort_wrapper",sSortIcon:"DataTables_sort_icon",sScrollHead:"dataTables_scrollHead "+ex,sScrollFoot:"dataTables_scrollFoot "+ex,sHeaderTH:ex,sFooterTH:ex,sJUIHeader:eI+" ui-corner-tl ui-corner-tr",sJUIFooter:eI+" ui-corner-bl ui-corner-br"});var eF=s.ext.pager;function eL(t,e){var n=[],a=eF.numbers_length,r=Math.floor(a/2);return e<=a?n=C(0,e):t<=r?((n=C(0,a-2)).push("ellipsis"),n.push(e-1)):t>=e-1-r?((n=C(e-(a-2),e)).splice(0,0,"ellipsis"),n.splice(0,0,0)):((n=C(t-r+2,t+r-1)).push("ellipsis"),n.push(e-1),n.splice(0,0,"ellipsis"),n.splice(0,0,0)),n.DT_el="span",n}t.extend(eF,{simple:function(t,e){return["previous","next"]},full:function(t,e){return["first","previous","next","last"]},numbers:function(t,e){return[eL(t,e)]},simple_numbers:function(t,e){return["previous",eL(t,e),"next"]},full_numbers:function(t,e){return["first","previous",eL(t,e),"next","last"]},first_last_numbers:function(t,e){return["first",eL(t,e),"last"]},_numbers:eL,numbers_length:7}),t.extend(!0,s.ext.renderer,{pageButton:{_:function(e,r,o,i,l,s){var u,c,f,d=e.oClasses,h=e.oLanguage.oPaginate,p=e.oLanguage.oAria.paginate||{},g=0,b=function(n,a){var r,i,u,v,$=function(t){tO(e,t.data.action,!0)};for(r=0,i=a.length;r<i;r++)if(v=a[r],t.isArray(v)){var S=t("<"+(v.DT_el||"div")+"/>").appendTo(n);b(S,v)}else{switch(c=null,f="",v){case"ellipsis":n.append('<span class="ellipsis">&#x2026;</span>');break;case"first":c=h.sFirst,f=v+(l>0?"":" "+d.sPageButtonDisabled);break;case"previous":c=h.sPrevious,f=v+(l>0?"":" "+d.sPageButtonDisabled);break;case"next":c=h.sNext,f=v+(l<s-1?"":" "+d.sPageButtonDisabled);break;case"last":c=h.sLast,f=v+(l<s-1?"":" "+d.sPageButtonDisabled);break;default:c=v+1,f=l===v?d.sPageButtonActive:""}null!==c&&(u=t("<a>",{class:d.sPageButton+" "+f,"aria-controls":e.sTableId,"aria-label":p[v],"data-dt-idx":g,tabindex:e.iTabIndex,id:0===o&&"string"==typeof v?e.sTableId+"_"+v:null}).html(c).appendTo(n),et(u,{action:v},$),g++)}};try{u=t(r).find(n.activeElement).data("dt-idx")}catch(v){}b(t(r).empty(),i),u!==a&&t(r).find("[data-dt-idx="+u+"]").focus()}}}),t.extend(s.ext.type.detect,[function(t,e){var n=e.oLanguage.sDecimal;return $(t,n)?"num"+n:null},function(t,e){if(t&&!(t instanceof Date)&&!d.test(t))return null;var n=Date.parse(t);return null!==n&&!isNaN(n)||g(t)?"date":null},function(t,e){var n=e.oLanguage.sDecimal;return $(t,n,!0)?"num-fmt"+n:null},function(t,e){var n=e.oLanguage.sDecimal;return m(t,n)?"html-num"+n:null},function(t,e){var n=e.oLanguage.sDecimal;return m(t,n,!0)?"html-num-fmt"+n:null},function(t,e){return g(t)||"string"==typeof t&&-1!==t.indexOf("<")?"html":null}]),t.extend(s.ext.type.search,{html:function(t){return g(t)?t:"string"==typeof t?t.replace(c," ").replace(f,""):""},string:function(t){return g(t)?t:"string"==typeof t?t.replace(c," "):t}});var eP=function(t,e,n,a){return 0===t||t&&"-"!==t?(e&&(t=v(t,e)),t.replace&&(n&&(t=t.replace(n,"")),a&&(t=t.replace(a,""))),1*t):-1/0};function eR(e){t.each({num:function(t){return eP(t,e)},"num-fmt":function(t){return eP(t,e,p)},"html-num":function(t){return eP(t,e,f)},"html-num-fmt":function(t){return eP(t,e,f,p)}},function(t,n){r.type.order[t+e+"-pre"]=n,t.match(/^html\-/)&&(r.type.search[t+e]=r.type.search.html)})}t.extend(r.type.order,{"date-pre":function(t){return Date.parse(t)||-1/0},"html-pre":function(t){return g(t)?"":t.replace?t.replace(/<.*?>/g,"").toLowerCase():t+""},"string-pre":function(t){return g(t)?"":"string"==typeof t?t.toLowerCase():t.toString?t.toString():""},"string-asc":function(t,e){return t<e?-1:t>e?1:0},"string-desc":function(t,e){return t<e?1:t>e?-1:0}}),eR(""),t.extend(!0,s.ext.renderer,{header:{_:function(e,n,a,r){t(e.nTable).on("order.dt.DT",function(t,o,i,l){if(e===o){var s=a.idx;n.removeClass(a.sSortingClass+" "+r.sSortAsc+" "+r.sSortDesc).addClass("asc"==l[s]?r.sSortAsc:"desc"==l[s]?r.sSortDesc:a.sSortingClass)}})},jqueryui:function(e,n,a,r){t("<div/>").addClass(r.sSortJUIWrapper).append(n.contents()).append(t("<span/>").addClass(r.sSortIcon+" "+a.sSortingClassJUI)).appendTo(n),t(e.nTable).on("order.dt.DT",function(t,o,i,l){if(e===o){var s=a.idx;n.removeClass(r.sSortAsc+" "+r.sSortDesc).addClass("asc"==l[s]?r.sSortAsc:"desc"==l[s]?r.sSortDesc:a.sSortingClass),n.find("span."+r.sSortIcon).removeClass(r.sSortJUIAsc+" "+r.sSortJUIDesc+" "+r.sSortJUI+" "+r.sSortJUIAscAllowed+" "+r.sSortJUIDescAllowed).addClass("asc"==l[s]?r.sSortJUIAsc:"desc"==l[s]?r.sSortJUIDesc:a.sSortingClassJUI)}})}}});var ej=function(t){return"string"==typeof t?t.replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;"):t};function eH(t){return function(){var e=[tK(this[s.ext.iApiIndex])].concat(Array.prototype.slice.call(arguments));return s.ext.internal[t].apply(this,e)}}return s.render={number:function(t,e,n,a,r){return{display:function(o){if("number"!=typeof o&&"string"!=typeof o)return o;var i=o<0?"-":"",l=parseFloat(o);if(isNaN(l))return ej(o);o=Math.abs(l=l.toFixed(n));var s=parseInt(o,10),u=n?e+(o-s).toFixed(n).substring(2):"";return i+(a||"")+s.toString().replace(/\B(?=(\d{3})+(?!\d))/g,t)+u+(r||"")}}},text:function(){return{display:ej}}},t.extend(s.ext.internal,{_fnExternApiFunc:eH,_fnBuildAjax:th,_fnAjaxUpdate:tp,_fnAjaxParameters:tg,_fnAjaxUpdateDraw:tb,_fnAjaxDataSrc:tv,_fnAddColumn:H,_fnColumnOptions:N,_fnAdjustColumnSizing:O,_fnVisibleToColumnIndex:k,_fnColumnIndexToVisible:W,_fnVisbleColumns:U,_fnGetColumns:M,_fnColumnTypes:B,_fnApplyColumnDefs:E,_fnHungarianMap:_,_fnCamelToHungarian:I,_fnLanguageCompat:A,_fnBrowserDetect:R,_fnAddData:J,_fnAddTr:V,_fnNodeToDataIndex:function t(e,n){return a!==n._DT_RowIndex?n._DT_RowIndex:null},_fnNodeToColumnIndex:function e(n,a,r){return t.inArray(r,n.aoData[a].anCells)},_fnGetCellData:X,_fnSetCellData:q,_fnSplitObjNotation:Y,_fnGetObjectDataFn:Z,_fnSetObjectDataFn:Q,_fnGetDataMaster:K,_fnClearTable:tt,_fnDeleteIndex:te,_fnInvalidate:tn,_fnGetRowElements:ta,_fnCreateTr:tr,_fnBuildHead:ti,_fnDrawHead:tl,_fnDraw:ts,_fnReDraw:tu,_fnAddOptionsHtml:tc,_fnDetectHeader:tf,_fnGetUniqueThs:td,_fnFeatureHtmlFilter:t$,_fnFilterComplete:tS,_fnFilterCustom:tm,_fnFilterColumn:tD,_fnFilter:ty,_fnFilterCreateSearch:t8,_fnEscapeRegex:tC,_fnFilterData:tx,_fnFeatureHtmlInfo:tA,_fnUpdateInfo:tF,_fnInfoMacros:tL,_fnInitialise:tP,_fnInitComplete:tR,_fnLengthChange:tj,_fnFeatureHtmlLength:tH,_fnFeatureHtmlPaginate:tN,_fnPageChange:tO,_fnFeatureHtmlProcessing:tk,_fnProcessingDisplay:tW,_fnFeatureHtmlTable:tU,_fnScrollDraw:tM,_fnApplyToChildren:tB,_fnCalculateColumnWidths:tJ,_fnThrottle:tV,_fnConvertToWidth:tX,_fnGetWidestNode:t0,_fnGetMaxLenString:tq,_fnStringToCss:tG,_fnSortFlatten:t9,_fnSort:tz,_fnSortAria:tY,_fnSortListener:t1,_fnSortAttachListener:tZ,_fnSortingClasses:t2,_fnSortData:tQ,_fnSaveState:t3,_fnLoadState:t5,_fnSettingsFromNode:tK,_fnLog:t4,_fnMap:t7,_fnBindAction:et,_fnCallbackReg:ee,_fnCallbackFire:en,_fnLengthOverflow:ea,_fnRenderer:er,_fnDataSource:eo,_fnRowAttributes:to,_fnCalculateEnd:function(){}}),t.fn.dataTable=s,s.$=t,t.fn.dataTableSettings=s.settings,t.fn.dataTableExt=s.ext,t.fn.DataTable=function(e){return t(this).dataTable(e).api()},t.each(s,function(e,n){t.fn.DataTable[e]=n}),t.fn.dataTable});